//       (-)  uMD04_exMD03.
// '        ,
//  : C:\MADL2023a\SOURCE\
//       .
// ³     .     . :-)
//           .
//
//
// "`u"   -  / ( 580, - "C"):
//         True, 1 - /; False, 0 -  .
// "`par" -   ( 580 "P"):
//          True-    ,
//          False-  .
// "RES"      ( 580, - "S"):
//          Integer (-2147483648..2147483647)
//        True, (RES<0) -  ,
//        False, (RES>=0) -  .
//        ,     .
//       "RES"     ( 580 - "Z"):
//      True, (RES=0) - ,
//      False, (RES=0) -  .
//
// "VB" -    Byte (0..255)
// "VW" -    Word (0..65535)
// "TEMP" -  ,    Word (0..65535).
// "mem" -  '.
// "END_PROC", "RetP", "RetProc", "EndP", "EndProc"  -  
//        (    ) ( 580 "RET")
// 'addr VW' -  (  )
// 'Call addr VW' -      VW (  ).

unit uTEST_uMD04_exMD03;
interface
procedure TEST_uMD04_exMD03;

implementation
uses uMD03_Types,uMD04_exMD03;

var
VB:Byte;
VW:Word;
VC:Cardinal;
VI:Integer;

L1,L2:TLabelLV;
P1,P2:TProcedureLV;
G1,G2:TLabelGLV;
D1,D2:TLabelDataLV;

ArrayByte:array of Byte;
ArrayWord:array of Word;


procedure TEST_uMD04_exMD03;
begin
//  |  |   | 
//580| 580 |    | PASCAL

{7F}  MovAA;   ArA;     {A:=A;}
{78}  MovAB;   ArB;     {A:=B;}
{79}  MovAC;   ArC;     {A:=C;}
{7A}  MovAD;   ArD;     {A:=D;}
{7B}  MovAE;   ArE;     {A:=E;}
{7C}  MovAH;   ArH;     {A:=H;}
{7D}  MovAL;   ArL;     {A:=L;}
{7E}  MovAM;   ArmHL;   {A:=mem[HL];}

{47}  MovBA;   BrA;     {B:=A;}
{40}  MovBB;   BrB;     {B:=B;}
{41}  MovBC;   BrC;     {B:=C;}
{42}  MovBD;   BrD;     {B:=D;}
{43}  MovBE;   BrE;     {B:=E;}
{44}  MovBH;   BrH;     {B:=H;}
{45}  MovBL;   BrL;     {B:=L;}
{46}  MovBM;   BrmHL;   {B:=mem[HL];}

{4F}  MovCA;   CrA;     {C:=A;}
{48}  MovCB;   CrB;     {C:=B;}
{49}  MovCC;   CrC;     {C:=C;}
{4A}  MovCD;   CrD;     {C:=D;}
{4B}  MovCE;   CrE;     {C:=E;}
{4C}  MovCH;   CrH;     {C:=H;}
{4D}  MovCL;   CrL;     {C:=L;}
{4E}  MovCM;   CrmHL;   {C:=mem[HL];}

{57}  MovDA;   DrA;     {D:=A;}
{50}  MovDB;   DrB;     {D:=B;}
{51}  MovDC;   DrC;     {D:=C;}
{52}  MovDD;   DrD;     {D:=D;}
{53}  MovDE;   DrE;     {D:=E;}
{54}  MovDH;   DrH;     {D:=H;}
{55}  MovDL;   DrL;     {D:=L;}
{56}  MovDM;   DrmHL;   {D:=mem[HL];}

{5F}  MovEA;   ErA;     {E:=A;}
{58}  MovEB;   ErB;     {E:=B;}
{59}  MovEC;   ErC;     {E:=C;}
{5A}  MovED;   ErD;     {E:=D;}
{5B}  MovEE;   ErE;     {E:=E;}
{5C}  MovEH;   ErH;     {E:=H;}
{5D}  MovEL;   ErL;     {E:=L;}
{5E}  MovEM;   ErmHL;   {E:=mem[HL];}

{67}  MovHA;   HrA;     {H:=A;}
{60}  MovHB;   HrB;     {H:=B;}
{61}  MovHC;   HrC;     {H:=C;}
{62}  MovHD;   HrD;     {H:=D;}
{63}  MovHE;   HrE;     {H:=E;}
{64}  MovHH;   HrH;     {H:=H;}
{65}  MovHL;   HrL;     {H:=L;}
{66}  MovHM;   HrmHL;   {H:=mem[HL];}

{6F}  MovLA;   LrA;     {L:=A;}
{68}  MovLB;   LrB;     {L:=B;}
{69}  MovLC;   LrC;     {L:=C;}
{6A}  MovLD;   LrD;     {L:=D;}
{6B}  MovLE;   LrE;     {L:=E;}
{6C}  MovLH;   LrH;     {L:=H;}
{6D}  MovLL;   LrL;     {L:=L;}
{6E}  MovLM;   LrmHL;   {L:=mem[HL];}

{77}  MovMA;   mHLrA;   {mem[HL]:=A;}
{70}  MovMB;   mHLrB;   {mem[HL]:=B;}
{71}  MovMC;   mHLrC;   {mem[HL]:=C;}
{72}  MovMD;   mHLrD;   {mem[HL]:=D;}
{73}  MovME;   mHLrE;   {mem[HL]:=E;}
{74}  MovMH;   mHLrH;   {mem[HL]:=H;}
{75}  MovML;   mHLrL;   {mem[HL]:=L;}

{3E}  MviA(VB);  Ar(VB);    {A:=VB;}
{06}  MviB(VB);  Br(VB);    {B:=VB;}
{0E}  MviC(VB);  Cr(VB);    {C:=VB;}
{16}  MviD(VB);  Dr(VB);    {D:=VB;}
{1E}  MviE(VB);  Er(VB);    {E:=VB;}
{26}  MviH(VB);  Hr(VB);    {H:=VB;}
{2E}  MviL(VB);  Lr(VB);    {L:=VB;}
{36}  MviM(VB);  mHLr(VB);  {mem[HL]:=VB;}

{0A}  LdaxBC;  ArmBC;   {A:=mem[BC];}
{1A}  LdaxDE;  ArmDE;   {A:=mem[DE];}

{3A}  Lda(VW);  Ar_(VW);  {A:=mem[VW];}
{32}  Sta(VW);  _rA(VW);  {mem[VW]:=A;}

{02}  StaxBC;  mBCrA;   {mem[BC]:=A;}
{12}  StaxDE;  mDErA;   {mem[DE]:=A;}

{3C}  InrA;    Ap1;     {A:=A+1;}
{04}  InrB;    Bp1;     {B:=B+1;}
{0C}  InrC;    Cp1;     {C:=C+1;}
{14}  InrD;    Dp1;     {D:=D+1;}
{1C}  InrE;    Ep1;     {E:=E+1;}
{24}  InrH;    Hp1;     {H:=H+1;}
{2C}  InrL;    Lp1;     {L:=L+1;}
{34}  InrM;    mHLp1;   {mem[HL]:=mem[HL]+1;}

{87}  AddA;    ApA;     {A:=A+A;}
{80}  AddB;    ApB;     {A:=A+B;}
{81}  AddC;    ApC;     {A:=A+C;}
{82}  AddD;    ApD;     {A:=A+D;}
{83}  AddE;    ApE;     {A:=A+E;}
{84}  AddH;    ApH;     {A:=A+H;}
{85}  AddL;    ApL;     {A:=A+L;}
{86}  AddM;    ApmHL;   {A:=A+mem[HL];}

{C6}  Adi(VB);   Ap(VB);    {A:=A+VB;}

{8F}  AdcA;    ApAu;    {A:=A+A+`u;}
{88}  AdcB;    ApBu;    {A:=A+B+`u;}
{89}  AdcC;    ApCu;    {A:=A+C+`u;}
{8A}  AdcD;    ApDu;    {A:=A+D+`u;}
{8B}  AdcE;    ApEu;    {A:=A+E+`u;}
{8C}  AdcH;    ApHu;    {A:=A+H+`u;}
{8D}  AdcL;    ApLu;    {A:=A+L`u;}
{8E}  AdcM;    ApmHLu;  {A:=A+mem[HL]+`u;}

{CE}  Aci(VB);   Apu(VB);   {A:=A+VB+`u;}

{3D}  DcrA;    Am1;     {A:=A-1;}
{05}  DcrB;    Bm1;     {B:=B-1;}
{0D}  DcrC;    Cm1;     {C:=C-1;}
{15}  DcrD;    Dm1;     {D:=D-1;}
{1D}  DcrE;    Em1;     {E:=E-1;}
{25}  DcrH;    Hm1;     {H:=H-1;}
{2D}  DcrL;    Lm1;     {L:=L-1;}
{35}  DcrM;    mHLm1;   {mem[HL]:=mem[HL]-1;}

{90}  SubB;    AmB;     {A:=A-B;}
{91}  SubC;    AmC;     {A:=A-C;}
{92}  SubD;    AmD;     {A:=A-D;}
{93}  SubE;    AmE;     {A:=A-E;}
{94}  SubH;    AmH;     {A:=A-H;}
{95}  SubL;    AmL;     {A:=A-L;}
{96}  SubM;    AmmHL;   {A:=A-mem[HL];}
{97}  SubA;    AmA;     {A:=A-A;}

{D6}  Sui(VB);   Am(VB);    {A:=A-VB;}

{98}  SbbB;    AmBu;   {A:=A-B-`u;}
{99}  SbbC;    AmCu;   {A:=A-C-`u;}
{9A}  SbbD;    AmDu;   {A:=A-D-`u;}
{9B}  SbbE;    AmEu;   {A:=A-E-`u;}
{9C}  SbbH;    AmHu;   {A:=A-H-`u;}
{9D}  SbbL;    AmLu;   {A:=A-L-`u;}
{9E}  SbbM;    AmmHLu; {A:=A-mem[HL]-`u;}
{9F}  SbbA;    AmAu;   {A:=A-A`-u;}

{DE}  Sbi(VB);   Amu(VB);   {A:=A-VB`-u;}

{A7}  AnaA;    AiA;  {A:=(A and A);}
{A0}  AnaB;    AiB;  {A:=(A and B);}
{A1}  AnaC;    AiC;  {A:=(A and C);}
{A2}  AnaD;    AiD;  {A:=(A and D);}
{A3}  AnaE;    AiE;  {A:=(A and E);}
{A4}  AnaH;    AiH;  {A:=(A and H);}
{A5}  AnaL;    AiL;  {A:=(A and L);}
{A6}  AnaM;    AimHL;  {A:=(A and mem[HL]);}

{E6}  Ani(VB);   Ai(VB);    {A:=(A and VB);}

{AF}  XraA;    AxA;    {A:=(A xor A);}
{A8}  XraB;    AxB;    {A:=(A xor B);}
{A9}  XraC;    AxC;    {A:=(A xor C);}
{AA}  XraD;    AxD;    {A:=(A xor D);}
{AB}  XraE;    AxE;    {A:=(A xor E);}
{AC}  XraH;    AxH;    {A:=(A xor H);}
{AD}  XraL;    AxL;    {A:=(A xor L);}
{AE}  XraM;    AxmHL;  {A:=(A xor mem[HL]);}

{EE}  Xri(VB);   Ax(VB);    {A:=(A xor VB);}

{B7}  OraA;    AoA;    {A:=(A or A);}
{B0}  OraB;    AoB;    {A:=(A or B);}
{B1}  OraC;    AoC;    {A:=(A or C);}
{B2}  OraD;    AoD;    {A:=(A or D);}
{B3}  OraE;    AoE;    {A:=(A or E);}
{B4}  OraH;    AoH;    {A:=(A or H);}
{B5}  OraL;    AoL;    {A:=(A or L);}
{B6}  OraM;    AomHL;  {A:=(A or mem[HL]);}

{F6}  Ori(VB);   Ao(VB);    {A:=(A or VB);}

{07}  rlc;     shlA;    {A:=(A SHL 1);}
{0F}  rrc;     shrA;    {A:=(A SHR 1);}
{17}  ral;     shlAu;   {A:=(A SHL 1)`u;}
{1F}  rar;     shrAu;   {A:=(A SHR 1)`u;}
{2F}  cma;     NotA;    {A:=(NOT A);}
{37}  stc;     urTrue;  {`u:=True;}
{3F}  cmc;     Notu;    {`u:=(NOT `u);}

{BF}  CmpA;    AcmpA;  {RES:=A-A;}
{B8}  CmpB;    AcmpB;  {RES:=A-B;}
{B9}  CmpC;    AcmpC;  {RES:=A-C;}
{BA}  CmpD;    AcmpD;  {RES:=A-D;}
{BB}  CmpE;    AcmpE;  {RES:=A-E;}
{BC}  CmpH;    AcmpH;  {RES:=A-H;}
{BD}  CmpL;    AcmpL;  {RES:=A-L;}
{BE}  CmpM;    AcmpmHL;  {RES:=A-mem[HL];}

{FE}  Cpi(VB);   Acmp(VB);  {RES:=A-VB;}

{D3}  Out_(VB);             {Out_(Port,A);}
{DB}  In_(VB);              {In_(Port,A);}

{27}  daa;     DC;     
{00}  Nop;              {;}
{76}  HLT;     StopProc;  {Halt;}

{E9}  PCHL;    PCrHL;      {PC:=HL;}
{F9}  SPHL;    SPrHL;      {SP:=HL;}

{01}  LxiBC(VW);  BCr(VW);           {BC:=VW;}
{11}  LxiDE(VW);  DEr(VW);           {DE:=VW;}
{21}  LxiHL(VW);  HLr(VW);           {HL:=VW;}
{31}  LxiSP(VW);  SPr(VW);           {SP:=VW;}

{2A}  Lhld(VW);   HLr_(VW);          {HL:=mem[VW];}
{22}  Shld(VW);   _rHL(VW);          {mem[VW]:=HL;}

{03}  InxBC;   BCp1;    {BC:=BC+1;}
{13}  InxDE;   DEp1;    {DE:=DE+1;}
{23}  InxHL;   HLp1;    {HL:=HL+1;}
{33}  InxSP;   SPp1;    {SP:=SP+1;}

{09}  DadBC;   HLpBC;   {HL:=HL+BC;}
{19}  DadDE;   HLpDE;   {HL:=HL+DE;}
{29}  DadHL;   HLpHL;   {HL:=HL+HL;}
{39}  DadSP;   HLpSP;   {HL:=HL+SP;}

{0B}  DcxBC;   BCm1;    {BC:=BC-1;}
{1B}  DcxDE;   DEm1;    {DE:=DE-1;}
{2B}  DcxHL;   HLm1;    {HL:=HL-1;}
{3B}  DcxSP;   SPm1;    {SP:=SP-1;}

{E3}  xtHL;    HLexmSP;    {TEMP:=(mem[SP])+(mem[SP+1]*256);mem[SP]:=Lo(HL);mem[SP+1]:=Hi(HL);;HL:=TEMP;}
{EB}  xchg;    HLexDE;     {TEMP:=HL; HL:=DE; DE:=TEMP;}

{C5}  PushBC;              {mem[SP-2]:=Lo(BC); mem[SP-1]:=Hi(BC);SP:=SP-2;}
{D5}  PushDE;              {mem[SP-2]:=Lo(DE);mem[SP-1]:=Hi(DE);SP:=SP-2;}
{E5}  PushHL;              {mem[SP-2]:=Lo(HL);mem[SP-1]:=Hi(HL);SP:=SP-2;}
{F5}  PushPSW;             {mem[SP-2]:=Lo(PSW);mem[SP-1]:=Hi(PSW);SP:=SP-2;}

{C1}  PopBC;               {BC:=(mem[SP])+(mem[SP+1]*256);SP:=SP+2;}
{D1}  PopDE;               {DE:=(mem[SP])+(mem[SP+1]*256);SP:=SP+2;}
{E1}  PopHL;               {HL:=(mem[SP])+(mem[SP+1]*256);SP:=SP+2;}
{F1}  PopPSW;              {PSW:=(mem[SP])+(mem[SP+1]*256); SP:=SP+2;}

{C0}  Rnz;     RetUnNot0;  {IF RES<>0 then END_PROC;}
{C8}  Rz;      RetUn0;     {IF RES=0 then END_PROC;}
{C9}  RET;                 {END_PROC;}
{D0}  Rnc;     RetUnNotu;  {IF (NOT `u) then END_PROC;}
{D8}  Rc;      RetUnu;     {IF `u then END_PROC;}
{E0}  Rpo;     RetUnNotpar;  {IF (NOT `par) then END_PROC;}
{E8}  Rpe;     RetUnpar;   {IF `par then END_PROC;}
{F0}  Rp;      RetUnp;     {IF RES>=0 then END_PROC;}
{F8}  Rm;      RetUnm;     {IF RES<0 then END_PROC;}

{C4}  Cnz(VW);    CallUnNot0(VW);    {IF RES<>0 then 'Call addr VW';}
{CC}  Cz(VW);     CallUn0(VW);       {IF RES=0 then 'Call addr VW';}
{CD}  Call(VW);                      {'Call addr VW';}
{D4}  Cnc(VW);    CallUnNotu(VW);    {IF (NOT `u) then 'Call addr VW';}
{DC}  Cc(VW);     CallUnu(VW);       {IF `u then 'Call addr VW';}
{E4}  Cpo(VW);    CallUnNotpar(VW);  {IF (NOT `par) then 'Call addr VW';}
{EC}  Cpe(VW);    CallUnpar(VW);     {IF `par then 'Call addr VW';}
{F4}  Cp(VW);     CallUnp(VW);       {IF RES>=0 then 'Call addr VW';}
{FC}  Cm(VW);     CallUnm(VW);       {IF RES<0 then 'Call addr VW';}

{C2}  Jnz(VW);    GotoUnNot0(VW);    {IF RES<>0 then Goto 'addr VW';}
{C3}  JMP(VW);    Goto_(VW);         {Goto 'addr VW';}
{CA}  Jz(VW);     GotoUn0(VW);       {IF RES=0 then Goto 'addr VW';}
{D2}  Jnc(VW);    GotoUnNotu(VW);    {IF (NOT `u) then Goto 'addr VW';}
{DA}  Jc(VW);     GotoUnu(VW);       {IF `u then Goto 'addr VW';}
{E2}  Jpo(VW);    GotoUnNotpar(VW);  {IF (NOT `par) then Goto 'addr VW';}
{EA}  Jpe(VW);    GotoUnpar(VW);     {IF `par then Goto 'addr VW';}
{F2}  Jp(VW);     GotoUnp(VW);       {IF RES>=0 then Goto 'addr VW';}
{FA}  Jm(VW);     GotoUnm(VW);       {IF RES<0 then Goto 'addr VW';}

{3A}  Lda(L1);    Ar_(L1);   {A:=mem[L1];}
{32}  Sta(L1);    _rA(L1);   {mem[L1]:=A;}

{01}  LxiBC(L1);  BCr(L1);   {BC:=L1;}
{11}  LxiDE(L1);  DEr(L1);   {DE:=L1;}
{21}  LxiHL(L1);  HLr(L1);   {HL:=L1;}
{31}  LxiSP(L1);  SPr(L1);   {SP:=L1;}

{2A}  Lhld(L1);   HLr_(L1);  {HL:=mem[L1];}
{22}  Shld(L1);   _rHL(L1);  {mem[L1]:=HL;}

{C4}  Cnz(L1);    CallUnNot0(L1);  {IF RES<>0 then L1;}
{CC}  Cz(L1);     CallUn0(L1);  {IF RES=0 then L1;}
{CD}  Call(L1);                      {L1;}
{D4}  Cnc(L1);    CallUnNotu(L1);  {IF (NOT `u) then L1;}
{DC}  Cc(L1);     CallUnu(L1);  {IF `u then L1;}
{E4}  Cpo(L1);    CallUnNotpar(L1);  {IF (NOT `par) then L1;}
{EC}  Cpe(L1);    CallUnpar(L1);  {IF `par then L1;}
{F4}  Cp(L1);     CallUnp(L1);  {IF RES>=0 then L1;}
{FC}  Cm(L1);     CallUnm(L1);  {IF RES<0 then L1;}

{C2}  Jnz(L1);    GotoUnNot0(L1);  {IF RES<>0 then Goto L1;}
{C3}  JMP(L1);    Goto_(L1);  {Goto L1;}
{CA}  Jz(L1);     GotoUn0(L1);  {IF RES=0 then Goto L1;}
{D2}  Jnc(L1);    GotoUnNotu(L1);  {IF (NOT `u) then Goto L1;}
{DA}  Jc(L1);     GotoUnu(L1);  {IF `u then Goto L1;}
{E2}  Jpo(L1);    GotoUnNotpar(L1);  {IF (NOT `par) then Goto L1;}
{EA}  Jpe(L1);    GotoUnpar(L1);  {IF `par then Goto L1;}
{F2}  Jp(L1);     GotoUnp(L1);  {IF RES>=0 then Goto L1;}
{FA}  Jm(L1);     GotoUnm(L1);  {IF RES<0 then Goto L1;}

{C4}  Cnz(P1);    CallUnNot0(P1);  {IF RES<>0 then P1;}
{CC}  Cz(P1);     CallUn0(P1);     {IF RES=0 then P1;}
{CD}  Call(P1);                             {P1;}
{D4}  Cnc(P1);    CallUnNotu(P1);  {IF (NOT `u) then P1;}
{DC}  Cc(P1);     CallUnu(P1);     {IF `u then P1;}
{E4}  Cpo(P1);    CallUnNotpar(P1);  {IF (NOT `par) then P1;}
{EC}  Cpe(P1);    CallUnpar(P1);   {IF `par then P1;}
{F4}  Cp(P1);     CallUnp(P1);     {IF RES>=0 then P1;}
{FC}  Cm(P1);     CallUnm(P1);     {IF RES<0 then P1;}

{C2}  Jnz(G1);   GotoUnNot0(G1);  {IF RES<>0 then Goto G1;}
{C3}  JMP(G1);   Goto_(G1);       {Goto G1;}
{CA}  Jz(G1);    GotoUn0(G1);     {IF RES=0 then Goto G1;}
{D2}  Jnc(G1);   GotoUnNotu(G1);  {IF (NOT `u) then Goto G1;}
{DA}  Jc(G1);    GotoUnu(G1);     {IF `u then Goto G1;}
{E2}  Jpo(G1);   GotoUnNotpar(G1);  {IF (NOT `par) then Goto G1;}
{EA}  Jpe(G1);   GotoUnpar(G1);   {IF `par then Goto G1;}
{F2}  Jp(G1);    GotoUnp(G1);     {IF RES>=0 then Goto G1;}
{FA}  Jm(G1);    GotoUnm(G1);     {IF RES<0 then Goto G1;}

{3A}  Lda(D1);    Ar_(D1);   {A:=mem[D1];}
{32}  Sta(D1);    _rA(D1);   {mem[D1]:=A;}

{01}  LxiBC(D1);  BCr(D1);   {BC:=D1;}
{11}  LxiDE(D1);  DEr(D1);   {DE:=D1;}
{21}  LxiHL(D1);  HLr(D1);   {HL:=D1;}
{31}  LxiSP(D1);  SPr(D1);   {SP:=D1;}

{2A}  Lhld(D1);   HLr_(D1);  {HL:=mem[D1];}
{22}  Shld(D1);   _rHL(D1);  {mem[D1]:=HL;}


{MD00}
{CodeProc=6}REM('TEST');
{CodeProc=7}SetNameInternal('TEST');

{CodeProc=9}ComA(VB);
{CodeProc=10}ComB(VB,VB);
{CodeProc=11}ComC(VB,VW);

{CodeProc=13}SetFullNameLVTfile('TEST');
{CodeProc=14}SetfSaveLVT(TRUE);
{CodeProc=15}SetfSE(TRUE);
{CodeProc=16}SetCLU('TEST');
{CodeProc=17}SetfCLU(TRUE);
{CodeProc=18}SetfSEi(TRUE);
{CodeProc=19}SetNameInternalKOI('TEST');
{CodeProc=20}SetFileOutError('TEST');
{CodeProc=21}SetErrorCLU('TEST');
{CodeProc=22}SetfError(TRUE);
{CodeProc=23}SetfErrorfCLU(TRUE);
{CodeProc=24}SetfErrorTXTinFile(TRUE);

{CodeProc=39}SetFileOutReportMD00('TEST');
{CodeProc=40}SetReportMD00TXTinFile(TRUE);


{MD01}
{CodeProc=43}InitLabelLV(L1);
{CodeProc=44}LabelA(L1);
{CodeProc=45}Labelp1(L1);
{CodeProc=46}Labelp2(L1);
{CodeProc=47}SetName(L1,'TEST');
{CodeProc=48}SetComment(L1,'TEST');
{CodeProc=49}SetFileOutReportMD01('TEST');
{CodeProc=50}SetReportMD01TXTinFile(TRUE);
{CodeProc=51}Clabel(VB,L1);
{CodeProc=52}Labelp(L1,VC);
{CodeProc=53}Labelm(L1,VC);
{CodeProc=54#}LabelAadr(L1,VC);
{CodeProc=55#}Abslt(L1,VI,L2);{L1 absolute L2}


{MD02}
{CodeProc=76}InitProcedureLV(P1);
{CodeProc=78}BeginPROCEDURE(P1);
{CodeProc=79}Clabel(VB,P1);
{CodeProc=80}SetName(P1,'TEST');

{CodeProc=84}ENDProcedure(P1);
{CodeProc=85}ENDProcedure_NoRet(P1);
{CodeProc=87}InitLabelGLV(G1);
{CodeProc=88}LabelG(G1);
{CodeProc=89}Clabel(VB,G1);
{CodeProc=90}SetName(G1,'TEST');
{CodeProc=91}InitLabelDataLV(D1);
{CodeProc=92}Clabel(VB,D1);

{CodeProc=93}VarByte(D1,VB);
{CodeProc=94}VarWord(D1,VW);
{CodeProc=95}VarArrayByteFilled(D1,VW,VB);
{CodeProc=96}VarArrayByte(D1,ArrayByte);
{CodeProc=97}VarArrayWord(D1,ArrayWord);

{CodeProc=100}SetName(D1,'TEST');
{CodeProc=102}LabelD(D1);
{CodeProc=103#}Abslt(L1,VI,P2);{L1 absolute P2}
{CodeProc=104#}Abslt(L1,VI,G2);{L1 absolute G2}
{CodeProc=105#}Abslt(L1,VI,D2);{L1 absolute D2}

{CodeProc=110#}Abslt(G1,VI,L2);{G1 absolute L2}
{CodeProc=111#}Abslt(G1,VI,P2);{G1 absolute P2}
{CodeProc=112#}Abslt(G1,VI,G2);{G1 absolute G2}
{CodeProc=113#}Abslt(G1,VI,D2);{G1 absolute D2}
{CodeProc=114#}Abslt(D1,VI,L2);{D1 absolute L2}
{CodeProc=115#}Abslt(D1,VI,P2);{D1 absolute P2}
{CodeProc=116#}Abslt(D1,VI,G2);{D1 absolute G2}
{CodeProc=117#}Abslt(D1,VI,D2);{D1 absolute D2}

{CodeProc=128}SetFileOutReportMD02('TEST');
{CodeProc=129}SetReportMD02TXTinFile(TRUE);

{CodeProc=134}SetComment(P1,'TEST');
{CodeProc=135}SetComment(G1,'TEST');
{CodeProc=136}SetComment(D1,'TEST');

{CodeProc=142}LabelPadr(P1,VW);
{CodeProc=143}LabelGadr(G1,VW);
{CodeProc=144}LabelDadr(D1,VW);

{MD03}
{CodeProc=202}SetAddrBeginProgram(VW);
{CodeProc=203}START(P1);
{CodeProc=204}BeginPROCEDURE_RAM2(P1);

{CodeProc=206}Forced(P1);
{CodeProc=207}Forced(D1);
{CodeProc=208}VarByte_RAM2(D1,VB);
{CodeProc=209}VarWord_RAM2(D1,VW);
{CodeProc=210}VarArrayByteFilled_RAM2(D1,VW,VB);
{CodeProc=211}VarArrayByte_RAM2(D1,ArrayByte);
{CodeProc=212}VarArrayWord_RAM2(D1,ArrayWord);

{MD03DOP}
{C0}RETisNot; {<>  }{RetUnNot0;}
{C8}RETis; {= }{RetUn0}
{F0}RETmoreOrIs; {>=   }{RetUnp}
  RETmore; {>  }
{F8}RETless; {< }{RetUnm;}
RETlessOrIs; {<   }

{CD}PROC(P1);
{C4}PROCisNot(P1); {<>  }{CallUnNot0}
{CC}PROCis(P1); {= }{CallUn0}
   PROCmore(P1); {> }
{F4}PROCmoreOrIs(P1); {>=   }{CallUnp}
{FC}PROCless(P1);{< }{CallUnm}
   PROClessOrIs(P1);{<   }

{C2}GOTOisNot(G1); {<>  }{GotoUnNot0}
{CA}GOTOis(G1); {= }{GotoUn0}
{F2}GOTOmoreOrIs(G1); {>=   }{GotoUnp}
    GOTOmore(G1); {>  }
{FA}GOTOless(G1); {< }
    GOTOlessOrIs(G1); {<   }
end;

end.


