program Project;
uses
  SysUtils,
  uMD00_Types, uMD00_WinExec, uMD00_SStr, uMD03_Types, uMD03_TableCOM, uMD03_Section,
  uMD03_Section_AddSect, uMD03_Error, uMD03_exMD00, uMD03_exMD01, uMD03_Base,
  uMD03_exMD02, uMD03_Main, uMD03u, uROMLV, uRegisters, uRegisterPairs, uBYTElv,
  uWORDlv,
  uGameDATA in '_unitGame\uGameDATA.pas';

procedure VideoON; begin AxA; OUT_($C2);end;
procedure VideoOFF; begin Ar($02); OUT_($C2);end;
procedure PushALL;begin PushBC;PushDE;PushHL;PushPSW;end;
procedure PopALL;begin PopPSW;PopHL;PopDE;PopBC; end;

procedure pDrawScreen_macro1(var G1:TLabelGLV;VB:Byte;var G2:TLabelGLV;var D:TLabelDataLV);
begin LabelG(G1);Acmp(VB);GotoUnNot0(G2);PushBC;DEr(D);CALL(pDrawSPRITE8n8b);PopBC;
  GOTO_(gENDProcedure_pDrawScreen); end;

procedure pDrawScreen_macro2;
begin
pDrawScreen_macro1(gDrawScreen_temp,$F1,gDrawScreen_242,dSPRITE241);
pDrawScreen_macro1(gDrawScreen_242,$F2,gDrawScreen_243,dSPRITE242);
pDrawScreen_macro1(gDrawScreen_243,$F3,gDrawScreen_1,dSPRITE243);
pDrawScreen_macro1(gDrawScreen_1,$01,gDrawScreen_2,dSPRITE1);
pDrawScreen_macro1(gDrawScreen_2,$02,gDrawScreen_244,dSPRITE2);
pDrawScreen_macro1(gDrawScreen_244,$F4,gDrawScreen_else,dSPRITE244);end;

procedure pSetPoleAndDraw_macro1(VB:Byte;var G:TLabelGLV);begin Acmp(VB);GotoUn0(g);end;

procedure pSetPoleAndDraw_macro2;
begin
pSetPoleAndDraw_macro1($00,gSetPoleAndDraw_m0);
pSetPoleAndDraw_macro1($F0,gSetPoleAndDraw_m240);
pSetPoleAndDraw_macro1($01,gSetPoleAndDraw_m1);
pSetPoleAndDraw_macro1($F1,gSetPoleAndDraw_m241);
pSetPoleAndDraw_macro1($F2,gSetPoleAndDraw_m242);
pSetPoleAndDraw_macro1($F3,gSetPoleAndDraw_m243);
pSetPoleAndDraw_macro1($F4,gSetPoleAndDraw_m244);
end;

procedure pSetPoleAndDraw_macro3(Var G1:TLabelGLV;VB:Byte);
begin
LabelG(G1);Dr(VB);CALL(pDrawScreen);GOTO_(ENDProcedure_pSetPoleAndDraw);
end;

procedure pCheckingCoordinates_macro1(var Bt1:TByteLV;var Bt2:TByteLV);
begin
R(B,Bt1);R(A,Bt2);AcmpB;GotoUn0(gCheckingCoordinates_else01);
end;

procedure pCheckingCoordinates_macro2;
begin
pCheckingCoordinates_macro1(bUserX,bRNDx30);
pCheckingCoordinates_macro1(bUserY,bRNDy30);
pCheckingCoordinates_macro1(bSnakeX,bRNDx30);
pCheckingCoordinates_macro1(bSnakeY,bRNDy30);
pCheckingCoordinates_macro1(bSBonusx,bRNDx30);
pCheckingCoordinates_macro1(bSBonusY,bRNDy30);
end;

procedure pForCase_macro1(VB:Byte;var G1:TLabelGLV);
begin Acmp(VB);GotoUn0(G1);end;

procedure pForCase_macro2(var G1:TLabelGLV;var G2:TLabelGLV;var G3:TLabelGLV);
begin CALL(pGetCellfield);
pForCase_macro1($F1,G1);
pForCase_macro1($F3,G1);
pForCase_macro1($F4,G2);
pForCase_macro1($00,G1);
GOTO_(G3);
end;


BEGIN
BeginProgram('L18PM_MD03');
//SetAddrBeginProgram($0000);
//SetReportMD00TXTinFile(true);
//SetReportMD01TXTinFile(true);
//SetReportMD02TXTinFile(TRUE);

NameLabel;{ }

BEGINProcedure_RAM2(pDrawSPRITE8n8b);{  88}
VideoON;
Br($08);

LabelG(gDrawSPRITE8n8b_Loop);
ArmDE;mHLrA;DEp1;HLp1;  ArmDE;mHLrA;DEp1;HLp1;

PushDE;
DEr($003E);HLpDE;
PopDE;
Bm1;
GotoUnNot0(gDrawSPRITE8n8b_Loop);
VideoOFF;
ENDProcedure(pDrawSPRITE8n8b);


BEGINProcedure_RAM2(pDrawScreen8n8c);{  88 }
VideoON;
Er($08);
BCr($003F);

LabelG(gDrawScreen8n8c_Loop);
mHLrD;
HLp1;
mHLrD;
HLpBC;
Em1;
GotoUnNot0(gDrawScreen8n8c_Loop);
VideoOFF;
ENDProcedure(pDrawScreen8n8c);


BEGINProcedure(pRndY15);
R(A,bRNDY15);Ap($18);

LabelG(gRndy15_m2);Acmp($0F);
GotoUnm(gRndy15_m1);Am($0F);
GOTO_(gRndy15_m2);

LabelG(gRndy15_m1);
R(bRNDY15,A);


ENDProcedure(pRndY15);



BEGINProcedure(pCalculateCellFeld);{       }
PushDE;
HLr(abWorkField{  });
ArB;Acmp($00);GotoUn0(gCalculateCellFeld_m3);
R(DE,B);{DE:=B}
HLpDE;

LabelG(gCalculateCellFeld_m3);
ArC;Acmp($00);GotoUn0(gCalculateCellFeld_m2);
PushHL;
HLr(awCalculateCellFeld_TABL);
ApC;
R(DE,A);{DE:=A}
HLpDE;
ErmHL;
HLp1;
DrmHL;
PopHL;
HLpDE;

LabelG(gCalculateCellFeld_m2);
PopDE;
ENDProcedure(pCalculateCellFeld);


BEGINProcedure(pSetCellfield);{    }
PushPSW;
CALL(pCalculateCellFeld);
PopPSW;
mHLrA;
ENDProcedure(pSetCellfield);


BEGINProcedure(pDrawScreen);
HLr($4000);
PushDE;
ArB;Acmp($00);GotoUn0(gDrawScreen_m3);
ApB;
R(DE,A);{DE:=A}
HLpDE;


LabelG(gDrawScreen_m3);
ArC;Acmp($00);GotoUn0(gDrawScreen_m2);
PushHL;
HLr(awDrawScreen_tabl);
ApC;
R(DE,A);{DE:=A}
HLpDE;
ErmHL;
HLp1;
DrmHL;
PopHL;
HLpDE;

LabelG(gDrawScreen_m2);
PopDE;ArD;

pDrawScreen_macro2;

{ELSE} LabelG(gDrawScreen_else);CALL(pDrawScreen8n8c);

LabelG(gENDProcedure_pDrawScreen);
ENDProcedure(pDrawScreen);



BEGINProcedure(pSetPoleAndDraw);{       (RgB=x,Rgc=y,SetRgA=s)}
PushBC;
CALL(pSetCellfield);
PopBC;
pSetPoleAndDraw_macro2;
Acmp($02);GotoUnp(gSetPoleAndDraw_m2);
GOTO_(ENDProcedure_pSetPoleAndDraw);

pSetPoleAndDraw_macro3(gSetPoleAndDraw_m0,$00);
pSetPoleAndDraw_macro3(gSetPoleAndDraw_m240,$F0);
pSetPoleAndDraw_macro3(gSetPoleAndDraw_m1,$01);

LabelG(gSetPoleAndDraw_m241);Dr($F1);CALL(pDrawScreen);Ar($00);CALL(pSetCellfield);
GOTO_(ENDProcedure_pSetPoleAndDraw);

pSetPoleAndDraw_macro3(gSetPoleAndDraw_m242,$F2);
pSetPoleAndDraw_macro3(gSetPoleAndDraw_m243,$F3);
pSetPoleAndDraw_macro3(gSetPoleAndDraw_m244,$F4);

LabelG(gSetPoleAndDraw_m2);Acmp($EB);GotoUnm(ENDProcedure_pSetPoleAndDraw);Dr($02);CALL(pDrawScreen);GOTO_(ENDProcedure_pSetPoleAndDraw);

LabelG(ENDProcedure_pSetPoleAndDraw);
ENDProcedure(pSetPoleAndDraw);


BEGINProcedure(pReadCurByteLevels);{     }
HLr_(wPOSreadCurByteLevels);ArmHL;
R(bRESreadCurByteLevels {  p_readurByteLevels},A);
HLp1;_rHL(wPOSreadCurByteLevels);
ENDProcedure(pReadCurByteLevels);


BEGINProcedure(pSetPoleAndDraw_cut1);
R(bDrawLevelPosX1,A);BrA;R(C,bDrawLevelPosY1);Ar($00);
PushBC;PushPSW;CALL(pSetPoleAndDraw);PopPSW;PopBC;
ENDProcedure(pSetPoleAndDraw_cut1);


BEGINProcedure(pSetPoleAndDraw_cut2);

R(bDrawLevelPosY1,A);CrA;R(B,bDrawLevelPosX1);Ar($00);
PushBC;PushPSW;CALL(pSetPoleAndDraw);PopPSW;PopBC;

PushBC;PushPSW;CALL(pSetCellfield);PopPSW;PopBC;
CALL(pDrawScreen);
ENDProcedure(pSetPoleAndDraw_cut2);


BEGINProcedure(pRndY30);
R(A,bRNDy30);
Ap($25);

LabelG(gRndy30_m2);
Acmp($1E);GotoUnm(gRndy30_m1);Am($1E);GOTO_(gRndy30_m2);

LabelG(gRndy30_m1);
R(bRNDy30,A);
ENDProcedure(pRndY30);


BEGINProcedure(pGetCellfield);{   , Rgb- X  0-32 Rg- Y  0-32  rgA - }
CALL(pCalculateCellFeld);
ArmHL;
ENDProcedure(pGetCellfield);


BEGINProcedure(pUserMovePosPaint);{   }
R(B,bUserXNew);R(A,bUserX);AcmpB;GotoUnNot0(gUserMovePosPaint_m1);
R(B,bUserYNew);R(A,bUserY);AcmpB;GotoUn0(ENDProcedure_pUserMovePosPaint);

LabelG(gUserMovePosPaint_m1);
R(bfFirstStart{  },1);{bfFirstStart:=1}
BCr(bUserXNew,bUserYNew);Ar($F1);CALL(pSetPoleAndDraw);
BCr(bUserX,bUserY);Ar($00);CALL(pSetPoleAndDraw);
R(bUserX,bUserXNew);R(bUserY,bUserYNew);

LabelG(ENDProcedure_pUserMovePosPaint);
ENDProcedure(pUserMovePosPaint);

BEGINProcedure(pCountBonusPaint);{       }
R(A,bCountBonus);Acmp($14);GotoUnm(gCountBonusPaint_m3);
Ar($14);
LabelG(gCountBonusPaint_m3);
BrA;

LabelG(gCountBonusPaint_m1);
Acmp($00);GotoUn0(gCountBonusPaint_m2);
PushBC;PushPSW;
Br($0B);
ApB;
BrA;
Cr($1F);
Ar($F2);
CALL(pSetPoleAndDraw);
PopPSW;PopBC;
Am1;
GOTO_(gCountBonusPaint_m1);

LabelG(gCountBonusPaint_m2);
ArB;Ap1;Br($14);

LabelG(gCountBonusPaint_m4);
AcmpB;{GotoUn0(gCountBonusPaint_m5);}GotoUnp(gCountBonusPaint_m5);
PushBC;PushPSW;
Br($0B);ApB;BrA;Cr($1F);Ar($F0);
CALL(pSetPoleAndDraw);
PopPSW;PopBC;
Ap1;
GOTO_(gCountBonusPaint_m4);

LabelG(gCountBonusPaint_m5);
R(A,bCountBonus);Acmp($14);GotoUnm(gENDProcedure_pCountBonusPaint);
R(bConditionOfPlay,$6E);

LabelG(gENDProcedure_pCountBonusPaint);
ENDProcedure(pCountBonusPaint);


BEGINProcedure(pGradualDeEmphasDelay);
HLr_(wDelay);
ArH;Acmp($00);GotoUnNot0(pGradualDeEmphasDelay_m1);
ArL;Acmp($00);GotoUnNot0(pGradualDeEmphasDelay_m1);
GOTO_(gENDProcedure_pGradualDeEmphasDelay);

LabelG(pGradualDeEmphasDelay_m1);
HLm1;
_rHL(wDelay);HLr_(wVDelay);
ArH;Acmp($00);GotoUnNot0(pGradualDeEmphasDelay_m2);
ArL;Acmp($00);GotoUnNot0(pGradualDeEmphasDelay_m2);
GOTO_(gENDProcedure_pGradualDeEmphasDelay);

LabelG(pGradualDeEmphasDelay_m2);
HLm1;_rHL(wVDelay);

LabelG(gENDProcedure_pGradualDeEmphasDelay);
ENDProcedure(pGradualDeEmphasDelay);


BEGINProcedure(pSBonusDel);
CALL(pRndY30);
HLr(bLevel);
HLpHL;HLpHL;HLpHL;
BCr(bRNDy30);
HLpBC;
BCr(500);
HLpBC;
_rHL(wSBonusWaitTimer);
BCr(bSBonusx,bSBonusY);

CALL(pGetCellfield);
Acmp($F3);GotoUnNot0(gSBonusDel_m1);
BCr(bSBonusx,bSBonusY);Ar($00);CALL(pSetPoleAndDraw);

LabelG(gSBonusDel_m1);
Acmp($00);
GotoUnNot0(gSBonusDel_m2);
R(B,bUserX);R(A,bSBonusx);AcmpB;GotoUn0(gSBonusDel_m2);
R(B,bUserY);R(A,bSBonusY);AcmpB;GotoUn0(gSBonusDel_m2);
BCr(bSBonusX,bSBonusY);Ar($00);CALL(pSetPoleAndDraw);

LabelG(gSBonusDel_m2);
R(bSBonusx,0);
ENDProcedure(pSBonusDel);


BEGINProcedure(pRNDx15);
R(A,bRNDx15);Ap($17);

LabelG(gRNDx15_m2);
Acmp($0F);GotoUnm(gRNDx15_m1);
Am($0F);GOTO_(gRNDx15_m2);

LabelG(gRNDx15_m1);
R(bRNDx15,A);
ENDProcedure(pRNDx15);


BEGINProcedure(pProtect_Del);
R(A,bProtectX);Br($00);AcmpB;GotoUn0(gProtect_Del_m01);
BCr(bProtectX,bProtectY);Ar($00);CALL(pSetPoleAndDraw);
R(bProtectX,0);

LabelG(gProtect_Del_m01);
CALL(pGradualDeEmphasDelay);
ENDProcedure(pProtect_Del);


BEGINProcedure(pCheckingCoordinates);{       }
R(bCheckingCoordinates,0);
CALL(pRndX30);CALL(pRndY30);
BCr(bRNDx30,bRNDy30);CALL(pGetCellfield);
Acmp($00);GotoUnNot0(gCheckingCoordinates_else01);

pCheckingCoordinates_macro2;

R(bCheckingCoordinates,1);
GOTO_(gENDProcedure_pCheckingCoordinates);

LabelG(gCheckingCoordinates_else01);
R(bCheckingCoordinates,0);

LabelG(gENDProcedure_pCheckingCoordinates);
ENDProcedure(pCheckingCoordinates);


BEGINProcedure(pSBonusCreate);
R(bSBonusx,bRNDx30);R(bSBonusY,bRNDy30);
BCr(bSBonusx,bSBonusY);Ar($F3);CALL(pSetPoleAndDraw);

CALL(pRndY30);BCr(bLevel,bRNDy30);
Ar($96);
AmB;
AmC;
_rA(wBonusWaitDone);
R(bSBonusCreate_ASBonusSp,1);
R(bSBonusCreate_AsBonusDLSp,10);
ENDProcedure(pSBonusCreate);


BEGINProcedure(pSBonusFash);
R(A,bSBonusCreate_AsBonusDLSp);Am1;R(bSBonusCreate_AsBonusDLSp,A);
R(A,bSBonusCreate_AsBonusDLSp);Br($00);AcmpB;GotoUnNot0(gSBonusFash_else01);
R(bSBonusCreate_AsBonusDLSp,5);
R(A,bSBonusCreate_ASBonusSp);Br($00);AcmpB;GotoUnNot0(gSBonusFash_else02);
R(bSBonusCreate_ASBonusSp,1);
GOTO_(gSBonusFash_else01);

LabelG(gSBonusFash_else02);
R(bSBonusCreate_ASBonusSp,0);

LabelG(gSBonusFash_else01);
R(A,bSBonusCreate_ASBonusSp);Br($00);AcmpB;GotoUnNot0(gSBonusFash_else03);
BCr(bSBonusx,bSBonusY);Ar($00);CALL(pSetPoleAndDraw);
GOTO_(gENDProcedure_pSBonusFash);

LabelG(gSBonusFash_else03);
BCr(bSBonusx,bSBonusY);Ar($F3);CALL(pSetPoleAndDraw);

LabelG(gENDProcedure_pSBonusFash);
ENDProcedure(pSBonusFash);


BEGINProcedure(pCountUserPaint);{     ()}
R(A,bLife);Acmp($0A);GotoUnm(gCountUserPaint_m1);
Ar($0A);

LabelG(gCountUserPaint_m1);
CrA;Acmp($00);
GotoUn0(gCountUserPaint_m2);
BrA;Ar($00);

LabelG(gCountUserPaint_Repeat01);
PushBC;PushPSW;
BrA;Cr($1F);Ar($F1);CALL(pSetPoleAndDraw);
PopPSW;PopBC;
Ap1;AcmpB;GotoUnm(gCountUserPaint_Repeat01);

LabelG(gCountUserPaint_m2);
ArC;Br($0B);

LabelG(gCountUserPaint_Repeat02);
PushBC;PushPSW;
BrA;Cr($1F);Ar($F0);CALL(pSetPoleAndDraw);
PopPSW;PopBC;
Ap1;AcmpB;GotoUnm(gCountUserPaint_Repeat02);
ENDProcedure(pCountUserPaint);

BEGINProcedure(pWindTimerOfGrowingSnake);{   }
CALL(pRndX30);
BCr(bLevel,bRNDx30);
Ar($96);AmB;AmC;R(HL,A);

_rHL(wSnakeTimerLength);
ENDProcedure(pWindTimerOfGrowingSnake);


BEGINProcedure(pPresSnake1);
R(bSnakeCut,0);
BCr(abWorkField{  });
DEr($0000);

LabelG(gPresSnake1_M4);
ArmBC;
Acmp($01);GotoUnm(gPresSnake1_m2);
Acmp($80);GotoUnm(gPresSnake1_m1);
GOTO_(gPresSnake1_m2);

LabelG(gPresSnake1_m1);
PushALL;
R(bPresSnake1wremX,D);
R(bPresSnake1wremY,E);


R(A,bSnakeX);AmD;GotoUnNot0(gPresSnake1_m6);
R(A,bSnakeY);AmE;GotoUn0(gPresSnake1_m5);

LabelG(gPresSnake1_m6);
PopALL;
Ap1;
mBCrA;
PushALL;
Acmp($02);GotoUnNot0(gPresSnake1_m9);
BCr(bPresSnake1wremX,bPresSnake1wremY);Ar($02);CALL(pSetPoleAndDraw);

LabelG(gPresSnake1_m9);
DrA; R(A,bSnakeCurLength);AcmpD;GotoUnp(gPresSnake1_m5);
R(A,bSnakeMixCut);AcmpD;GotoUnp(gPresSnake1_m13);GotoUn0(gPresSnake1_m13);
DrA; R(bSnakeMixCut,A);

LabelG(gPresSnake1_m13);
BCr(bPresSnake1wremX,bPresSnake1wremY);Ar($00);CALL(pSetPoleAndDraw);
R(bSnakeCut,1);

LabelG(gPresSnake1_m5);
PopALL;

LabelG(gPresSnake1_m2);
BCp1;
Dp1;
ArD;Acmp($20);GotoUnm(gPresSnake1_M4);
Dr($00);Ep1;ArE;Acmp($20);GotoUnm(gPresSnake1_M4);
ENDProcedure(pPresSnake1);


BEGINProcedure(pSnakeCreateIllusoryPurpose2);
R(A,bIllusoryPurposeWaitTimer);Acmp($00);GotoUn0(gSnakeCreateIllusoryPurpose2_M1);
R(A,bIllusoryPurposeWaitTimer);Am1;R(bIllusoryPurposeWaitTimer,A);
GOTO_(gSnakeCreateIllusoryPurpose2_end);

LabelG(gSnakeCreateIllusoryPurpose2_M1);
CALL(pRndX30);CALL(pRndY30);
R(bSnakepurposeX,bRNDx30);
R(bSnakepurposeY,bRNDy30);
R(bIllusoryPurposeWaitTimer,$32);

LabelG(gSnakeCreateIllusoryPurpose2_end);
ENDProcedure(pSnakeCreateIllusoryPurpose2);


BEGINProcedure(pSnakeCreateIllusoryPurpose1);
R(A,bIllusoryPurposeWaitTimer);Acmp($00);GotoUn0(gSnakeCreateIllusoryPurpose1_M1);
R(A,bIllusoryPurposeWaitTimer);Am1;R(bIllusoryPurposeWaitTimer,A);
GOTO_(gSnakeCreateIllusoryPurpose1_end);

LabelG(gSnakeCreateIllusoryPurpose1_M1);
CALL(pRNDx15);CALL(pRndY15);
R(A,bRNDx15);
Br($0F);
ApB;
R(bSnakepurposeX,A);
R(A,bRNDY15);
Br($0F);
ApB;
R(bSnakepurposeY,A);
R(bIllusoryPurposeWaitTimer,10);

LabelG(gSnakeCreateIllusoryPurpose1_end);
ENDProcedure(pSnakeCreateIllusoryPurpose1);


BEGINProcedure(pRndX30);
R(A,bRNDx30);
Ap($26);

LabelG(gRNDx30_m2);
Acmp($1E);GotoUnm(gRNDx30_m1);
Am($1E);GOTO_(gRNDx30_m2);

LabelG(gRNDx30_m1);
R(bRNDx30,A);
ENDProcedure(pRndX30);


BEGINProcedure(pRND4);
R(A,bRND4c);Ap1;R(bRND4c,A);   Acmp($60);GotoUnm(gRND4_m1);
R(bRND4c,0);{bRND4c:=0}

LabelG(gRND4_m1);
R(BC,A);{BC:=A}
HLr(abRND4_mtable);
HLpBC;
ArmHL;
R(bRND4,A);{bRND4:=A}
ENDProcedure(pRND4);





BEGINProcedure(pForCase0);{ 쳿 (  PresSnake)}
R(A,bSnakeX);Am1;BrA;R(C,bSnakeY);
pForCase_macro2(gForCase0_c00_then01,gForCase0_c00_c00_then01_2,gENDProcedure_pForCase0);

LabelG(gForCase0_c00_then01);
R(A,bSnakeX);Am1;R(bSnakeXnew,A);
GOTO_(gENDProcedure_pForCase0);

LabelG(gForCase0_c00_c00_then01_2);
R(bSnakeFromProtect,1);

LabelG(gENDProcedure_pForCase0); ENDProcedure(pForCase0);


BEGINProcedure(pForCase1);{ 쳿 (  PresSnake)}
R(A,bSnakeX);Ap1;BrA;R(C,bSnakeY);
pForCase_macro2(gForCase1_c01_then01,gForCase1_c01_then01_2,gENDProcedure_pForCase1);

LabelG(gForCase1_c01_then01);R(A,bSnakeX);Ap1;
R(bSnakeXnew,A);GOTO_(gENDProcedure_pForCase1);

LabelG(gForCase1_c01_then01_2);
R(bSnakeFromProtect,1);

LabelG(gENDProcedure_pForCase1);
ENDProcedure(pForCase1);



BEGINProcedure(pForCase2);{ 쳿 (  PresSnake)}
R(B,bSnakeX);R(A,bSnakeY);Ap1;CrA;
pForCase_macro2(gForCase2_c02_then01,gForCase2_c02_then01_2,gENDProcedure_pForCase2);


LabelG(gForCase2_c02_then01);
R(A,bSnakeY);Ap1;
R(bSnakeYnew,A);
GOTO_(gENDProcedure_pForCase2);

LabelG(gForCase2_c02_then01_2);
R(bSnakeFromProtect,1);

LabelG(gENDProcedure_pForCase2);
ENDProcedure(pForCase2);



BEGINProcedure(pForCase3);{ 쳿 (  PresSnake)}
R(B,bSnakeX);R(A,bSnakeY);Am1;CrA;
pForCase_macro2(gForCase3_c03_then01,gForCase3_c03_then01_2,gENDProcedure_pForCase3);


LabelG(gForCase3_c03_then01);R(A,bSnakeY);Am1;
R(bSnakeYnew,A);GOTO_(gENDProcedure_pForCase3);

LabelG(gForCase3_c03_then01_2);
R(bSnakeFromProtect,1);

LabelG(gENDProcedure_pForCase3);
ENDProcedure(pForCase3);


BEGINProcedure(pPresSnake_part1);{ 쳿}
R(bSnakeXnew,bSnakeX{X-.});
R(bSnakeYnew,bSnakeY{Y-.});
R(bSnakeFromProtect,0);
R(A,bfFirstStart);Br($00);AcmpB;GotoUnNot0(gPresSnake_part1_else01);
R(bSnakepurposeXFrom,2);
R(A,bConditionOfPlay);Br($04);AcmpB;GotoUnNot0(gPresSnake_part1_else02);
CALL(pSnakeCreateIllusoryPurpose2);
GOTO_(gENDProcedure_pPresSnake_part1);

LabelG(gPresSnake_part1_else02);
CALL(pSnakeCreateIllusoryPurpose1);
GOTO_(gENDProcedure_pPresSnake_part1);

LabelG(gPresSnake_part1_else01);
R(A,bSBonusx);Br($00);AcmpB;GotoUnNot0(gPresSnake_part1_else03);
R(bSnakepurposeXFrom,0);
R(bSnakepurposeX,bUserX);
R(bSnakepurposeY,bUserY);
GOTO_(gENDProcedure_pPresSnake_part1);

LabelG(gPresSnake_part1_else03);
R(bSnakepurposeXFrom,1);
R(bSnakepurposeX,bSBonusx);
R(bSnakepurposeY,bSBonusY);

LabelG(gENDProcedure_pPresSnake_part1);
ENDProcedure(pPresSnake_part1);


BEGINProcedure(pPresSnake_part2);{ 쳿}
R(bSF,0);

LabelG(gPresSnake_part2_Repeat01);
CALL(pRND4);
R(A,bRND4);Acmp($00);GotoUnNot0(gPresSnake_part2_Case01_1);
R(A,bSF);
Ao($01);R(bSF,A);
R(B,bSnakepurposeX);R(A,bSnakeX);AcmpB;
GotoUnm(gPresSnake_part2_Case01_3End);
GotoUn0(gPresSnake_part2_Case01_3End);
CALL(pForCase0);

GOTO_(gPresSnake_part2_Case01_3End);

LabelG(gPresSnake_part2_Case01_1);
Acmp($01);
GotoUnNot0(gPresSnake_part2_Case01_2);
R(A,bSF);Ao($02);R(bSF,A);
R(B,bSnakepurposeX);R(A,bSnakeX);AcmpB;GotoUnp(gPresSnake_part2_Case01_3End);{GotoUn0(gPresSnake_part2_Case01_3End);}
CALL(pForCase1);


GOTO_(gPresSnake_part2_Case01_3End);

LabelG(gPresSnake_part2_Case01_2);
Acmp($02);GotoUnNot0(gPresSnake_part2_Case01_3);
R(A,bSF);Ao($04);R(bSF,A);
R(B,bSnakepurposeY);R(A,bSnakeY);AcmpB;GotoUnp(gPresSnake_part2_Case01_3End);{GotoUn0(gPresSnake_part2_Case01_3End);}
CALL(pForCase2);

GOTO_(gPresSnake_part2_Case01_3End);

LabelG(gPresSnake_part2_Case01_3);
Acmp($03);GotoUnNot0(gPresSnake_part2_Case01_3End);
Acmp($03);GotoUnNot0(gPresSnake_part2_Case01_3End);
R(A,bSF);Ao($08);R(bSF,A);
R(B,bSnakepurposeY);R(A,bSnakeY);AcmpB;GotoUnm(gPresSnake_part2_Case01_3End);GotoUn0(gPresSnake_part2_Case01_3End);
CALL(pForCase3);

LabelG(gPresSnake_part2_Case01_3End);
R(A,bSF);Br($0F);AcmpB;GotoUn0(gENDProcedure_pPresSnake_part2);
R(B,bSnakeX);R(A,bSnakeXnew);AcmpB;GotoUnNot0(gENDProcedure_pPresSnake_part2);
R(B,bSnakeY);R(A,bSnakeYnew);AcmpB;GotoUnNot0(gENDProcedure_pPresSnake_part2);
GOTO_(gPresSnake_part2_Repeat01);

LabelG(gENDProcedure_pPresSnake_part2);
ENDProcedure(pPresSnake_part2);



BEGINProcedure(pPresSnake_part3);{ 쳿}

R(A,bSnakeX);BrA;R(A,bSnakeXnew);AcmpB;GotoUnNot0(gPresSnake_end01);
R(A,bSnakeY);BrA;R(A,bSnakeYnew);AcmpB;GotoUnNot0(gPresSnake_end01);
R(bSF,0);

LabelG(gPresSnake_repeat01);
CALL(pRND4);
R(A,bRND4);Acmp($00);GotoUnNot0(gPresSnake_Case01_1);

R(A,bSF);Ao($01);R(bSF,A);
CALL(pForCase0);
GOTO_(gPresSnake_part2_Case01End);

LabelG(gPresSnake_Case01_1);
Acmp($01);GotoUnNot0(gPresSnake_Case01_2);
R(A,bSF);Ao($02);R(bSF,A);
CALL(pForCase1);
GOTO_(gPresSnake_part2_Case01End);

LabelG(gPresSnake_Case01_2);
Acmp($02);GotoUnNot0(gPresSnake_Case01_3);
R(A,bSF);Ao($04);R(bSF,A);
CALL(pForCase2);
GOTO_(gPresSnake_part2_Case01End);

LabelG(gPresSnake_Case01_3);
Acmp($03);GotoUnNot0(gPresSnake_part2_Case01End);
R(A,bSF);Ao($08);R(bSF,A);
CALL(pForCase3);
GOTO_(gPresSnake_part2_Case01End);

LabelG(gPresSnake_part2_Case01End);
R(A,bSF);Br($0F);AcmpB;GotoUn0(gPresSnake_end01);
R(B,bSnakeX);R(A,bSnakeXnew);AcmpB;GotoUnNot0(gPresSnake_end01);
R(B,bSnakeY);R(A,bSnakeYnew);AcmpB;GotoUnNot0(gPresSnake_end01);
GOTO_(gPresSnake_repeat01);

LabelG(gPresSnake_end01);
ENDProcedure(pPresSnake_part3);


BEGINProcedure(pIncreaseSnake);{ 쳿,   ProcesPressedSnake}
R(A,bSnakeX);BrA;R(A,bSnakeXnew);AcmpB;GotoUnNot0(gIncreaseSnake_then01);
R(A,bSnakeY);BrA;R(A,bSnakeYnew);AcmpB;GotoUnNot0(gIncreaseSnake_then01);
R(bSnakeDeadend,1);
GOTO_(gIncreaseSnake_end01);

LabelG(gIncreaseSnake_then01);
BCr(bSnakeXnew,bSnakeYnew);Ar($01);CALL(pSetPoleAndDraw);
R(bSnakeX{X-.},bSnakeXnew);
R(bSnakeY{Y-.},bSnakeYnew);
R(A,bfFirstStart);Br($00);AcmpB;GotoUn0(gIncreaseSnake_end02);

HLr_(wSnakeTimerLength);HLm1;_rHL(wSnakeTimerLength);
Ar_(wSnakeTimerLength);Br($00);AcmpB;GotoUnNot0(gIncreaseSnake_end02);
CALL(pWindTimerOfGrowingSnake);
R(A,bSnakeCurMaxLength);Br($77);AcmpB;GotoUnp(gIncreaseSnake_else04);
R(A,bSnakeCurMaxLength);Ap1;R(bSnakeCurMaxLength,A);
CALL(pGradualDeEmphasDelay);
GOTO_(gIncreaseSnake_end02);

LabelG(gIncreaseSnake_else04);
R(bSnakeCurMaxLength{. },119);

LabelG(gIncreaseSnake_end02);
R(bSnakeDeadend,0);


LabelG(gIncreaseSnake_end01);
CALL(pPresSnake1);
R(A,bSnakeFromProtect);Br($00);AcmpB;GotoUnNot0(gIncreaseSnake_end05);
R(A,bSnakeDeadend);Br($00);AcmpB;GotoUn0(gIncreaseSnake_end05);
R(A,bSnakeCut);Br($00);AcmpB;GotoUnNot0(gIncreaseSnake_end05);
R(A,bSnakeCurLength);
Am1;
R(bSnakeCurLength,A);

LabelG(gIncreaseSnake_end05);
R(A,bSnakeDeadend);Br($00);AcmpB;GotoUnNot0(gENDProcedure_pIncreaseSnake);
R(A,bSnakeCut);Br($00);AcmpB;GotoUn0(gENDProcedure_pIncreaseSnake);
R(A,bSnakeCurLength);BrA;R(A,bSnakeCurMaxLength);AcmpB;GotoUnm(gENDProcedure_pIncreaseSnake);GotoUn0(gENDProcedure_pIncreaseSnake);
R(A,bSnakeCurLength);Ap1;R(bSnakeCurLength,A);

LabelG(gENDProcedure_pIncreaseSnake);
ENDProcedure(pIncreaseSnake);


BEGINProcedure(pDelay);
HLr_(wVDelay);

LabelG(gDelay_m1);
ArH;Acmp($00);GotoUnNot0(gDelay_m2);
ArL;Acmp($00);GotoUnNot0(gDelay_m2);
GOTO_(gENDProcedure_pDelay);

LabelG(gDelay_m2);
HLm1;
GOTO_(gDelay_m1);

LabelG(gENDProcedure_pDelay);
ENDProcedure(pDelay);


BEGINProcedure(pGreenFullScreen);{   ()}
Cr($00);LabelG(gGreenFullScreen_m2);
Br($00);LabelG(gGreenFullScreen_m1);
PushBC;Ar($F0);CALL(pSetPoleAndDraw);PopBC;
Bp1;ArB;Acmp($20);GotoUnNot0(gGreenFullScreen_m1);
Cp1;ArC;Acmp($20);GotoUnNot0(gGreenFullScreen_m2);
ENDProcedure(pGreenFullScreen);


BEGINProcedure(pDrawLevel);
Br($01);Cr($01);Ar($00);CALL(pSetPoleAndDraw);
R(bDrawLevelPosX1,1);R(bDrawLevelPosY1,1);
CALL(pReadCurByteLevels);

R(A,bRESreadCurByteLevels);R(bDrawLevel_D,A);
R(A,bDrawLevel_D);Acmp($00);GotoUnNot0(gDrawLevel_Repeat1);

CALL(pReadCurByteLevels);
R(A,bRESreadCurByteLevels);R(bDrawLevel_D,A);
Acmp($00);GotoUnNot0(gDrawLevel_Repeat1);
HLr(abLevels);_rHL(wPOSreadCurByteLevels);
CALL(pReadCurByteLevels);
R(A,bRESreadCurByteLevels);R(bDrawLevel_D,A);
CALL(pReadCurByteLevels);
R(A,bRESreadCurByteLevels);R(bDrawLevel_D,A);

LabelG(gDrawLevel_Repeat1);
CALL(pReadCurByteLevels);
R(A,bRESreadCurByteLevels);
R(bDrawLevel_D,A);Acmp($00);GotoUn0(gDrawLevel_end);
Am($28);Acmp($28);
GotoUnp(gDrawLevel_m81120);
R(A,bDrawLevel_D);
Am($28);
BrA;

LabelG(gDrawLevel_m4180m1);
PushBC;
R(A,bDrawLevelPosX1);
Ap1;
CALL(pSetPoleAndDraw_cut1);
PushBC;PushDE;
CALL(pSetCellfield);
PopDE; PopBC;
CALL(pDrawScreen);
PopBC;
Bm1;
GotoUnNot0(gDrawLevel_m4180m1);
GOTO_(gDrawLevel_until);

LabelG(gDrawLevel_m81120);
Am($28);
Acmp($28);
GotoUnp(gDrawLevel_m121160);
R(A,bDrawLevel_D);
Am($50);
BrA;

LabelG(gDrawLevel_m81120m1);
PushBC;
R(A,bDrawLevelPosX1);
Am1;
CALL(pSetPoleAndDraw_cut1);
PushBC;PushPSW;
CALL(pSetCellfield);
PopPSW;PopBC;
CALL(pDrawScreen);
PopBC;
Bm1;
GotoUnNot0(gDrawLevel_m81120m1);
GOTO_(gDrawLevel_until);

LabelG(gDrawLevel_m121160);
Am($28);
Acmp($28);
GotoUnp(gDrawLevel_m161200);
R(A,bDrawLevel_D);
Am($78);
BrA;

LabelG(gDrawLevel_m121160m1);
PushBC;
R(A,bDrawLevelPosY1);
Am1;
CALL(pSetPoleAndDraw_cut2);
PopBC;
Bm1;
GotoUnNot0(gDrawLevel_m121160m1);
GOTO_(gDrawLevel_until);

LabelG(gDrawLevel_m161200);
Am($28);
Acmp($28);
GotoUnp(gDrawLevel_until);
R(A,bDrawLevel_D);
Am($A0);
BrA;

LabelG(gDrawLevel_m161200m1);
PushBC;
R(A,bDrawLevelPosY1);
Ap1;
CALL(pSetPoleAndDraw_cut2);
PopBC;
Bm1;
GotoUnNot0(gDrawLevel_m161200m1);

LabelG(gDrawLevel_until);
R(A,bDrawLevel_D);
Acmp($00);GotoUnNot0(gDrawLevel_Repeat1);

LabelG(gDrawLevel_end);
ENDProcedure(pDrawLevel);


BEGINProcedure(pClearKeyboardArrows);{  ()}
R(bKeyleft,bKeyRight,bKeyUP,bKeyDown,bKeyProtect,bKeyT,bKey1,bKey2,0);
ENDProcedure(pClearKeyboardArrows);


BEGINProcedure(pRndS);
CALL(pRndX30);
CALL(pRndY30);
CALL(pRNDx15);
CALL(pRndY15);
ENDProcedure(pRndS);


BEGINProcedure(pBlackFullScreen);
Cr($00);

LabelG(gBlackFullScreen_m2);
Br($00);

LabelG(gBlackFullScreen_m1);
PushBC;
Ar($00);
CALL(pSetPoleAndDraw);
PopBC;
Bp1;
ArB;
Acmp($20);GotoUnNot0(gBlackFullScreen_m1);
Cp1;
ArC;
Acmp($20);GotoUnNot0(gBlackFullScreen_m2);
ENDProcedure(pBlackFullScreen);


BEGINProcedure(pEngineGames_InitGame);
HLr($0000);_rHL(wPOSreadCurByteLevels);
HLr($0000);_rHL(wCurAddrLevel);
R(bProtectPast,1);
HLr($0000);_rHL(wCountSpectacleses);
R(bCountPrizeLife{  },0);
R(bLife{- },4);
R(bLevel,1);
ENDProcedure(pEngineGames_InitGame);


BEGINProcedure(pEngineGames_InitLevel);
CALL(pSBonusDel);
R(bBonusX,bBonusY,0);
CALL(pProtect_Del);
R(bProtectX,bProtectY,0);
CALL(pGreenFullScreen);
R(bCountBonus,0);
HLr_(wCurAddrLevel);_rHL(wPOSreadCurByteLevels);
CALL(pDrawLevel);
CALL(pCountUserPaint);
CALL(pWindTimerOfGrowingSnake);
R(bSnakeCurMaxLength{. },bSnakeCurLength,2);
R(bSnakepurposeX,30);R(bSnakepurposeY,29);
R(bSnakeX{X-.},30);R(bSnakeY{Y-.},29);
BCr(bSnakeX,bSnakeY);Ar($01);CALL(pSetPoleAndDraw);
R(bfFirstStart{  },0);
CALL(pClearKeyboardArrows);
HLr($0BB8);_rHL(wVDelay);
ENDProcedure(pEngineGames_InitLevel);


BEGINProcedure(pLogo1);
Br($05);

LabelG(gLogo1_m1);
PushBC;Cr($05);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;PushBC;Cr($19);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;Bp1;ArB;Acmp($1B);GotoUnNot0(gLogo1_m1);
Cr($05);

LabelG(gLogo1_m2);
PushBC;Br($05);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;PushBC;Br($1A);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;Cp1;ArC;Acmp($19);GotoUnNot0(gLogo1_m2);
Br($13);

LabelG(gLogo1_m3);
PushBC;Cr($03);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;Bp1;ArB;Acmp($19);GotoUnNot0(gLogo1_m3);
ENDProcedure(pLogo1);


BEGINProcedure(pLogo2);
Cr($06);

LabelG(gLogo2_m2);
Br($06);

LabelG(gLogo2_m1);
PushBC;Ar($00); CALL(pSetPoleAndDraw);
PopBC;
Bp1;
ArB;
Acmp($1A);
GotoUnNot0(gLogo2_m1);
Cp1;
ArC;
Acmp($19);
GotoUnNot0(gLogo2_m2);
ENDProcedure(pLogo2);


BEGINProcedure(pDrawBlockText);
Ar($FF);_rA($BE3D);Ar($05);_rA($BE3E);Ar($04);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D1C);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($05);_rA($BE3F);Ar($00);_rA($BE36);CALL($F82D);HLr(L9D32);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($06);_rA($BE3F);Ar($01);_rA($BE36);CALL($F82D);HLr(L9D4B);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($07);_rA($BE3F);Ar($02);_rA($BE36);CALL($F82D);HLr(L9D61);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($08);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D71);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($09);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D85);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($0B);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D94);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($0C);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D71);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($0D);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9DA4);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($0F);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9DB5);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($10);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9DC5);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($11);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9DDC);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($12);_rA($BE3F);Ar($00);_rA($BE36);CALL($F82D);HLr(L9D32);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($13);_rA($BE3F);Ar($00);_rA($BE36);CALL($F82D);HLr(L9DF6);CALL($E4A4);
ENDProcedure(pDrawBlockText);

BEGINProcedure(pLogo3);
Br($04);

LabelG(gLogo3_m1);
PushBC;Cr($04);Ar($00);CALL(pSetPoleAndDraw);
PopBC;PushBC;Cr($1A);Ar($00);CALL(pSetPoleAndDraw);
PopBC;
Bp1;
ArB;
Acmp($1B);GotoUnNot0(gLogo3_m1);
Cr($04);

LabelG(gLogo3_m2);
PushBC;
Br($04);
Ar($00);
CALL(pSetPoleAndDraw);
PopBC;
PushBC;
Br($1B);
Ar($00);
CALL(pSetPoleAndDraw);
PopBC;
Cp1;
ArC;
Acmp($1B);
GotoUnNot0(gLogo3_m2);
ENDProcedure(pLogo3);


BEGINProcedure(pLogo4);
Br($08);
Cr($03);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($09);
Cr($03);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($0E);
Cr($03);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($0F);
Cr($03);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($1C);
Cr($05);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($03);
Cr($0D);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($03);
Cr($0E);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($05);
Cr($1B);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($06);
Cr($1B);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($0E);
Cr($1A);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($1C);
Cr($0B);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($1C);
Cr($0C);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($1C);
Cr($0D);
Ar($F0);
CALL(pSetPoleAndDraw);
ENDProcedure(pLogo4);


BEGINProcedure(pPause);
CALL(pRndS);
Ar($EF);OUT_($D0);IN_($D1);Acmp($7F);GotoUnNot0(gPause_m2);
R(A,bfPause);
Br($FF);
AxB;
R(bfPause,A);

LabelG(gPause_m1);
Ar($EF);
OUT_($D0);
IN_($D1);
Acmp($7F);
GotoUn0(gPause_m1);

LabelG(gPause_m2);
ENDProcedure(pPause);


BEGINProcedure(pColor);
Ar($EF);
OUT_($D0);
IN_($D1);
Acmp($BF);
GotoUnNot0(gColor_m2);
R(A,bGeneralColorPlay);
BrA;
Ar($04);
ApB;
R(bGeneralColorPlay,A);
OUT_($C1);

LabelG(gColor_m1);
Ar($EF);
OUT_($D0);
IN_($D1);
Acmp($BF);
GotoUn0(gColor_m1);

LabelG(gColor_m2);
ENDProcedure(pColor);


BEGINProcedure(pStartOrMenu);
Ar($EF);OUT_($D0);IN_($D1);Acmp($DF);
GotoUnNot0(gStartOrMenu_m2);
R(A,bConditionOfPlay);Br($04);AcmpB;
GotoUn0(gStartOrMenu_m3);
R(bConditionOfPlay{ },0);
GOTO_(gStartOrMenu_m1);

LabelG(gStartOrMenu_m3);
R(bConditionOfPlay{ },$0F);

LabelG(gStartOrMenu_m1);
Ar($EF);
OUT_($D0);
IN_($D1);
Acmp($DF);
GotoUn0(gStartOrMenu_m1);

LabelG(gStartOrMenu_m2);
ENDProcedure(pStartOrMenu);


BEGINProcedure(pPresSnake);
CALL(pPresSnake_part1);
CALL(pPresSnake_part2);
CALL(pPresSnake_part3);
CALL(pIncreaseSnake);
R(B,bUserX);R(A,bSnakeX);AcmpB;GotoUnNot0(gPresSnake_end02);
R(B,bUserY);R(A,bSnakeY);AcmpB;GotoUnNot0(gPresSnake_end02);

BCr(65528);
CALL(pDelay);
R(bConditionOfPlay{ },100);


LabelG(gPresSnake_end02);
R(B,bSnakeX);R(A,bSnakepurposeX);AcmpB;GotoUnNot0(gENDProcedure_pPresSnake);
R(B,bSnakeY);R(A,bSnakepurposeY);AcmpB;GotoUnNot0(gENDProcedure_pPresSnake);
R(A,bSnakepurposeXFrom);Acmp($01);GotoUnNot0(gENDProcedure_pPresSnake);
CALL(pSBonusDel);
R(A,bCountBonus);Br($0B);AcmpB;GotoUnp(gPresSnake_else03);{GotoUn0(gPresSnake_else03);}
R(bCountBonus,0);
GOTO_(gPresSnake_end03);

LabelG(gPresSnake_else03);R(A,bCountBonus);Am($0A);R(bCountBonus,A);

LabelG(gPresSnake_end03);
HLr_(wCountSpectacleses);ArH;Acmp($00);GotoUnNot0(gPresSnake_else04);
ArL;Acmp($0B);GotoUnp(gPresSnake_else04);GotoUn0(gPresSnake_else04);
HLr($0000);_rHL(wCountSpectacleses);
GOTO_(gPresSnake_end04);

LabelG(gPresSnake_else04);
HLr_(wCountSpectacleses);
HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;
_rHL(wCountSpectacleses);

LabelG(gPresSnake_end04);
R(A,bCountPrizeLife);Acmp($0B);GotoUnp(gPresSnake_M01);{GotoUn0(gPresSnake_M01);}
R(bCountPrizeLife{  },0);
GOTO_(gPresSnake_M02);

LabelG(gPresSnake_M01);
R(A,bCountPrizeLife);Am($0A);R(bCountPrizeLife,A);

LabelG(gPresSnake_M02);
CALL(pCountBonusPaint);

LabelG(gENDProcedure_pPresSnake);
ENDProcedure(pPresSnake);


BEGINProcedure(pPresSBonus);{ -}
R(A,bfFirstStart);Br($00);AcmpB;GotoUn0(gPresSBonus_end01);
R(A,bSBonusx);Br($00);AcmpB;GotoUnNot0(gPresSBonus_end02);
HLr_(wSBonusWaitTimer);ArH;Acmp($00);GotoUnNot0(gPresSBonus_else02_1);ArL;Acmp($00);GotoUnNot0(gPresSBonus_else02_1);
GOTO_(gPresSBonus_else02);

LabelG(gPresSBonus_else02_1); HLr_(wSBonusWaitTimer);HLm1;_rHL(wSBonusWaitTimer);GOTO_(gPresSBonus_end02);

LabelG(gPresSBonus_else02);
CALL(pCheckingCoordinates);
R(A,bCheckingCoordinates); Acmp($00);GotoUn0(gPresSBonus_else01);
CALL(pSBonusCreate);
GOTO_(gPresSBonus_end02);

LabelG(gPresSBonus_else01);
R(bSBonusx,0);


LabelG(gPresSBonus_end02);
R(A,bSBonusx);Br($00);AcmpB;GotoUn0(gPresSBonus_end01);
Ar($00);HLr_(wBonusWaitDone); AcmpH;GotoUnNot0(gPresSBonus_else03);
AcmpL;GotoUnNot0(gPresSBonus_else03);CALL(pSBonusDel);
GOTO_(gPresSBonus_end01);

LabelG(gPresSBonus_else03);
HLr_(wBonusWaitDone);HLm1;_rHL(wBonusWaitDone);
CALL(pSBonusFash);

LabelG(gPresSBonus_end01);
ENDProcedure(pPresSBonus);

BEGINProcedure(pKeyD);
R(bKeyDown,bKeyleft,bKeyUP,bKeyRight,0);{...:=0;}

Ar($F7);OUT_($D2);IN_($D2);NotA;Ai($F0);Acmp($80);GotoUnm(gKeyD_m1);
R(bKeyDown,A);
Am($80);

LabelG(gKeyD_m1);
Acmp($40);GotoUnm(gKeyD_m2);
R(bKeyleft,A);
Am($40);

LabelG(gKeyD_m2);
Acmp($20);GotoUnm(gKeyD_m3);
R(bKeyUP,A);
Am($20);

LabelG(gKeyD_m3);
Acmp($10);GotoUnm(gKeyD_m4);
R(bKeyRight,A);

LabelG(gKeyD_m4);
ENDProcedure(pKeyD);

BEGINProcedure(pPresKeys);
R(bUserXNew,bUserX);R(bUserYNew,bUserY);
R(bKeyT,$00);
R(A,bKeyleft);Acmp($00);GotoUn0(gPresKeys_m2);
R(A,bUserXNew);
Am1;
BrA;
R(C,bUserYNew);CALL(pGetCellfield);
Acmp($00);GotoUn0(gPresKeys_m1m1);
Acmp($F2);GotoUn0(gPresKeys_m1m1);
Acmp($F3);GotoUnNot0(gPresKeys_mm2);

LabelG(gPresKeys_m1m1);
R(bKeyT,1);
GOTO_(gPresKeys_mm2);

LabelG(gPresKeys_m2);
R(A,bKeyRight);Acmp($00);GotoUn0(gPresKeys_m3);
R(A,bUserXNew);
Ap1;
BrA;
R(C,bUserYNew);
CALL(pGetCellfield);
Acmp($00);GotoUn0(gPresKeys_m2m1);
Acmp($F2);GotoUn0(gPresKeys_m2m1);
Acmp($F3);GotoUnNot0(gPresKeys_mm2);

LabelG(gPresKeys_m2m1);
R(bKeyT,2);
GOTO_(gPresKeys_mm2);

LabelG(gPresKeys_m3);
R(A,bKeyUP);
Acmp($00);
GotoUn0(gPresKeys_m4);
R(B,bUserXNew);
R(A,bUserYNew);
Am1;
CrA;
CALL(pGetCellfield);
Acmp($00);GotoUn0(gPresKeys_m3m1);
Acmp($F2);GotoUn0(gPresKeys_m3m1);
Acmp($F3);GotoUnNot0(gPresKeys_mm2);

LabelG(gPresKeys_m3m1);
R(bKeyT,3);
GOTO_(gPresKeys_mm2);

LabelG(gPresKeys_m4);
R(A,bKeyDown);
Acmp($00);
GotoUn0(gPresKeys_mm2);
R(B,bUserXNew);R(A,bUserYNew);
Ap1;
CrA;
CALL(pGetCellfield);
Acmp($00);GotoUn0(gPresKeys_m4m1);
Acmp($F2);GotoUn0(gPresKeys_m4m1);
Acmp($F3);GotoUnNot0(gPresKeys_mm2);

LabelG(gPresKeys_m4m1);
R(bKeyT,4);

LabelG(gPresKeys_mm2);
R(A,bKeyT);
Acmp($03);
GotoUnp(gPresKeys_mm21);
CALL(pRndX30);
GOTO_(gPresKeys_mm3);

LabelG(gPresKeys_mm21);
CALL(pRndY30);

LabelG(gPresKeys_mm3);
R(A,bKey1);
Acmp($00);
GotoUnNot0(gPresKeys_mm31);
R(bKey1,bKeyT);
GOTO_(gPresKeys_mm32);

LabelG(gPresKeys_mm31);
R(bKey2,bKeyT);


LabelG(gPresKeys_mm32);
R(A,bKey2);Acmp($00);GotoUn0(gPresKeys_mm4);
R(bKey1,bKey2);


LabelG(gPresKeys_mm4);
R(A,bKey1);
Acmp($01);GotoUn0(gPresKeys_mm41);
Acmp($02);GotoUn0(gPresKeys_mm42);
Acmp($03);GotoUn0(gPresKeys_mm43);
Acmp($04);GotoUnNot0(gPresKeys_mm5);
R(A,bUserY);Ap1;R(bUserYNew,A);GOTO_(gPresKeys_mm5);

LabelG(gPresKeys_mm41);
R(A,bUserX);
Am1;
R(bUserXNew,A);
GOTO_(gPresKeys_mm5);

LabelG(gPresKeys_mm42);
R(A,bUserX);
Ap1;
R(bUserXNew,A);
GOTO_(gPresKeys_mm5);

LabelG(gPresKeys_mm43);
R(A,bUserY);
Am1;
R(bUserYNew,A);

LabelG(gPresKeys_mm5);
BCr(bUserXNew,bUserYNew);CALL(pGetCellfield);
R(bPresKeysFPole,A);
Acmp($F2);GotoUnNot0(gPresKeys_mm6);   CALL(pUserMovePosPaint);
R(A,bCountBonus);Ap1;R(bCountBonus,A);   CALL(pCountBonusPaint);
Ar_(wCountSpectacleses);Ap1;_rA(wCountSpectacleses);
R(A,bCountPrizeLife);Ap1;R(bCountPrizeLife,A);
R(A,bSnakeCurMaxLength);Ap1;R(bSnakeCurMaxLength,A);   CALL(pGradualDeEmphasDelay);

LabelG(gPresKeys_mm6);
R(B,bUserX);
R(A,bSBonusx);AcmpB;GotoUnNot0(gPresKeys_mm7);
R(B,bUserY);R(A,bSBonusY);AcmpB;GotoUnNot0(gPresKeys_mm7);
R(A,bCountBonus);Br($0A);ApB;R(bCountBonus,A);   CALL(pCountBonusPaint);
Ar_(wCountSpectacleses);Br($0A);ApB;_rA(wCountSpectacleses);
CALL(pSBonusDel);
CALL(pGradualDeEmphasDelay);

LabelG(gPresKeys_mm7);
R(A,bPresKeysFPole);Br($F4);AcmpB;GotoUnNot0(gPresKeys_mm8);
R(A,bProtectPast);Br($00);AcmpB;GotoUnNot0(gPresKeys_mm8);
R(bPresKeysFPole,0);

LabelG(gPresKeys_mm8);
R(A,bPresKeysFPole);
Acmp($00);GotoUn0(gPresKeys_mm9);
Acmp($F2);GotoUn0(gPresKeys_mm9);
Acmp($F3);GotoUnNot0(gPresKeys_mm10);

LabelG(gPresKeys_mm9);
CALL(pUserMovePosPaint);
GOTO_(ENDProcedure_pPresKeys);

LabelG(gPresKeys_mm10); R(bKey1,0);

LabelG(ENDProcedure_pPresKeys);
ENDProcedure(pPresKeys);


BEGINProcedure(pKeyO);
R(bKeyProtect,0);
OUT_($D0);IN_($D1);Ax($FF);R(bKeyProtect,A);
ENDProcedure(pKeyO);


BEGINProcedure(pPresProtect);
R(A,bProtectX);Br($00);AcmpB;GotoUnNot0(gPresProtect_else01);
R(A,bKeyProtect);Br($00);AcmpB;GotoUn0(gENDProcedure_pPresProtect);
R(bProtectDl,10);R(bProtectX,bUserX);R(bProtectY,bUserY);


LabelG(gPresProtect_else01);
R(A,bUserX);BrA;R(A,bProtectX);AcmpB;GotoUnNot0(gPresProtect_then01);
R(A,bUserY);BrA;R(A,bProtectY);AcmpB;GotoUnNot0(gPresProtect_then01);
GOTO_(gENDProcedure_pPresProtect);

LabelG(gPresProtect_then01);
BCr(bProtectX,bProtectY);Ar($F4);CALL(pSetPoleAndDraw);
CALL(pGradualDeEmphasDelay);
R(A,bProtectDl);Am1;R(bProtectDl,A);
R(A,bProtectDl);Br($00);AcmpB;GotoUnNot0(gENDProcedure_pPresProtect);
CALL(pProtect_Del);

LabelG(gENDProcedure_pPresProtect);
ENDProcedure(pPresProtect);


BEGINProcedure(pPresBonus);{ }
R(A,bBonusX);BrA;R(A,bUserX);AcmpB;GotoUnNot0(gPresBonus_m01);
R(A,bBonusY);BrA;R(A,bUserY);AcmpB;GotoUnNot0(gPresBonus_m01);
R(bBonusX,0);R(bBonusY,0);


LabelG(gPresBonus_m01);
Ar_($0000);BrA;R(A,bBonusX);AcmpB;GotoUnNot0(gPresBonus_else02);
R(A,bfFirstStart);Br($00);AcmpB;GotoUn0(gENDProcedure_pPresBonus);
CALL(pCheckingCoordinates);
R(A,bCheckingCoordinates);Acmp($00);GotoUn0(gPresBonus_else01);
R(bBonusX,bRNDx30);R(bBonusY,bRNDy30);

R(A,bBonusX);BrA;R(A,bBonusY);
CrA;Ar($F2);CALL(pSetPoleAndDraw);GOTO_(gENDProcedure_pPresBonus);

LabelG(gPresBonus_else01);
R(bBonusX,bBonusY,0);

      GOTO_(gENDProcedure_pPresBonus);

LabelG(gPresBonus_else02);
BCr(bBonusX,bBonusY);Ar($F2);CALL(pSetPoleAndDraw);

LabelG(gENDProcedure_pPresBonus);
ENDProcedure(pPresBonus);


BEGINProcedure(pPresPrizeLife);
R(A,bCountPrizeLife);Br($64);AcmpB;GotoUnm(gPresPrizeLife_m01);
R(A,bLife);Ap1;R(bLife,A);R(A,bCountPrizeLife);Am($64);R(bCountPrizeLife,A);
CALL(pCountUserPaint);
LabelG(gPresPrizeLife_m01);
ENDProcedure(pPresPrizeLife);


BEGINProcedure(STARTProc{ });
LabelG(gSTARTLABIRINT);
CALL(pBlackFullScreen);
R(bConditionOfPlay{ },0);


LabelG(gEngineGames_Case_);
R(A,bConditionOfPlay);
Acmp($00);GotoUn0(gEngineGames_m0);
Acmp($03);GotoUn0(gEngineGames_m3);
Acmp($04);GotoUn0(gEngineGames_m4);
Acmp($0F);GotoUn0(gEngineGames_m15);
Acmp($14);GotoUn0(gEngineGames_m20);
Acmp($1E);GotoUn0(gEngineGames_m30);
Acmp($64);GotoUn0(gEngineGames_m100);
Acmp($6E);GotoUn0(gEngineGames_m110);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m0);
HLr($0000);_rHL(wCurAddrLevel);
R(bConditionOfPlay{ },3);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m3);
CALL(pEngineGames_InitGame);
CALL(pEngineGames_InitLevel);
R(bUserX,bUserY,bLife{- },0);
R(bSnakeCurMaxLength{. },8);


CALL(pCountUserPaint);
CALL(pLogo1);CALL(pLogo2);CALL(pLogo3);CALL(pLogo4);CALL(pDrawBlockText);
R(bConditionOfPlay{ },4);

GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m4);
CALL(pPause);CALL(pColor);CALL(pStartOrMenu);
R(A,bfPause);Acmp($00);GotoUnNot0(gEngineGames_m4_end);
CALL(pPresSnake);CALL(pDelay);

LabelG(gEngineGames_m4_end);GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m15);
CALL(pEngineGames_InitGame);
R(bConditionOfPlay{ },$14);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m20);
CALL(pEngineGames_InitLevel);
R(bUserX,bUserY,1);
BCr(bUserX,bUserY);
Ar($F1);
CALL(pSetPoleAndDraw);
R(bSnakeCurMaxLength{. },4);
HLr_(wVDelay);_rHL(wDelay);
HLr(bLevel);
HLpHL;HLpHL;HLpHL;HLpHL;HLpHL;

LabelG(gEngineGames_M20_1);
PushHL;
CALL(pGradualDeEmphasDelay);
PopHL;
HLm1;
ArH;Acmp($00);GotoUnNot0(gEngineGames_M20_1);
ArL;Acmp($00);GotoUnNot0(gEngineGames_M20_1);
R(bConditionOfPlay{ },$1E);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m30);
CALL(pPause);CALL(pColor);CALL(pStartOrMenu);
R(A,bfPause);Acmp($00);GotoUnNot0(gEngineGames_m30_end);
CALL(pPresSBonus);CALL(pKeyD);CALL(pPresKeys);CALL(pKeyO);CALL(pPresProtect);
CALL(pPresSnake);CALL(pPresBonus);CALL(pCountBonusPaint);CALL(pCountUserPaint);
CALL(pPresPrizeLife);
R(A,bfFirstStart);Br($00);AcmpB;GotoUn0(gEngineGames_m30_1);
CALL(pGradualDeEmphasDelay);

LabelG(gEngineGames_m30_1);
CALL(pDelay);

LabelG(gEngineGames_m30_end);GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m100);
R(A,bLife);Acmp($00);GotoUnNot0(gEngineGames_m100_2);
HLr($FFFF);_rHL(wVDelay);
CALL(pDelay);
R(bConditionOfPlay{ },0);
GOTO_(gEngineGames_m100_3);

LabelG(gEngineGames_m100_2);
R(bConditionOfPlay{ },$14);


LabelG(gEngineGames_m100_3);
CALL(pCountUserPaint);
HLr($FFFF);_rHL(wVDelay);CALL(pDelay);
R(A,bLife);Am1;R(bLife,A);
CALL(pProtect_Del);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m110);
R(bConditionOfPlay{ },$14);
R(A,bLevel);Ap1;R(bLevel,A);
HLr($FFFF);_rHL(wVDelay);
CALL(pDelay);
HLr_(wPOSreadCurByteLevels);_rHL(wCurAddrLevel);
GOTO_(gEngineGames_Case_);

EndPROCEDURE(STARTProc{ });

{}{}{}{}{}{}{}{}{}{}

START(STARTProc{ });

CompileDATAgame;{  }
EndProgram;
//TEST;
END.


