//           (-)  uMD04_Registers.
//
// '        ,
//  : C:\MADL2023a\SOURCE\,    uMD04_Types.pas
//
//   "A","B","C","D","E","H","L","mHL" - .
//   "r", "R" - , ( 580, - "MOV", "MVI"):
//   "VB" -    Byte (0..255)
//   "cmp" -   ( 580, - "CMP", "CPI")
//   "." - . (  "." -  . )
// "RES" -   

unit uTEST_uMD04_Registers;
interface

procedure TEST_uMD04_Registers;

implementation
uses uMD04_Types,uMD04_Registers;
var VB:Byte;
procedure TEST_uMD04_Registers;
begin
//       .
//    |   |   | .....  |  |
//   580 |    |    | .....  |PASCAL | 

Ar(A); R(A,A); {A:=A;}
Ar(B); R(A,B); {A:=B;}
Ar(C); R(A,C); {A:=C;}
Ar(D); R(A,D); {A:=D;}
Ar(E); R(A,E); {A:=E;}
Ar(H); R(A,H); {A:=H;}
Ar(L); R(A,L); {A:=L;}
Ar(mHL); R(A,mHL); {A:=mHL;}

Br(A); R(B,A); {B:=A;}
Br(B); R(B,B); {B:=B;}
Br(C); R(B,C); {B:=C;}
Br(D); R(B,D); {B:=D;}
Br(E); R(B,E); {B:=D;}
Br(H); R(B,H); {B:=H;}
Br(L); R(B,L); {B:=L;}
Br(mHL); R(B,mHL); {B:=mHL;}

Cr(A); R(C,A); {C:=A;}
Cr(B); R(C,B); {C:=B;}
Cr(C); R(C,C); {C:=C;}
Cr(D); R(C,D); {C:=D;}
Cr(E); R(C,E); {C:=D;}
Cr(H); R(C,H); {C:=H;}
Cr(L); R(C,L); {C:=L;}
Cr(mHL); R(C,mHL); {B:=mHL;}

Dr(A); R(D,A); {D:=A;}
Dr(B); R(D,B); {D:=B;}
Dr(C); R(D,C); {D:=C;}
Dr(D); R(D,D); {D:=D;}
Dr(E); R(D,E); {D:=D;}
Dr(H); R(D,H); {D:=H;}
Dr(L); R(D,L); {D:=L;}
Dr(mHL); R(D,mHL); {B:=mHL;}

Er(A); R(E,A); {E:=A;}
Er(B); R(E,B); {E:=B;}
Er(C); R(E,C); {E:=C;}
Er(D); R(E,D); {E:=D;}
Er(E); R(E,E); {E:=D;}
Er(H); R(E,H); {E:=H;}
Er(L); R(E,L); {E:=L;}
Er(mHL); R(E,mHL); {E:=mHL;}

Hr(A); R(H,A); {H:=A;}
Hr(B); R(H,B); {H:=B;}
Hr(C); R(H,C); {H:=C;}
Hr(D); R(H,D); {H:=D;}
Hr(E); R(H,E); {H:=D;}
Hr(H); R(H,H); {H:=H;}
Hr(L); R(H,L); {H:=L;}
Hr(mHL); R(H,mHL); {H:=mHL;}

Lr(A); R(L,A); {L:=A;}
Lr(B); R(L,B); {L:=B;}
Lr(C); R(L,C); {L:=C;}
Lr(D); R(L,D); {L:=D;}
Lr(E); R(L,E); {L:=D;}
Lr(H); R(L,H); {L:=H;}
Lr(L); R(L,L); {L:=L;}
Lr(mHL); R(L,mHL); {L:=mHL;}

mHLr(A); R(mHL,A); {mHL:=A;}
mHLr(B); R(mHL,B); {mHL:=B;}
mHLr(C); R(mHL,C); {mHL:=C;}
mHLr(D); R(mHL,D); {mHL:=D;}
mHLr(E); R(mHL,E); {mHL:=D;}
mHLr(H); R(mHL,H); {mHL:=H;}
mHLr(L); R(mHL,L); {mHL:=L;}
mHLr(mHL); R(mHL,mHL); {mHL:=mHL;}

R(A,VB); {A:=VB;}
R(B,VB); {B:=VB;}
R(C,VB); {C:=VB;}
R(D,VB); {D:=VB;}
R(E,VB); {E:=VB;}
R(H,VB); {H:=VB;}
R(L,VB); {L:=VB;}
R(mHL,VB); {mHL:=VB;}


{BF} cmp(A,A);    { CmpA;}   {AcmpA;}   {RES:=A-A;}
{B8} cmp(A,B);    { CmpB;}   {AcmpB;}   {RES:=A-B;}
{B9} cmp(A,C);    { CmpC;}   {AcmpC;}   {RES:=A-C;}
{BA} cmp(A,D);    { CmpD;}   {AcmpD;}   {RES:=A-D;}
{BB} cmp(A,E);    { CmpE;}   {AcmpE;}   {RES:=A-E;}
{BC} cmp(A,H);    { CmpH;}   {AcmpH;}   {RES:=A-H;}
{BD} cmp(A,L);    { CmpL;}   {AcmpL;}   {RES:=A-L;}
{BE} cmp(A,mHL);  { CmpM;}   {AcmpmHL;}   {RES:=A-mem[HL];}
{FE}cmp(A,VB);               { Acmp(VB);} {RES:=A-VB;}

{.}BcmpB; cmp(B,B); {RES:=B-B;}
{.}BcmpC; cmp(B,C); {RES:=B-C;}
{.}BcmpD; cmp(B,D); {RES:=B-D;}
{.}BcmpE; cmp(B,E); {RES:=B-E;}
{.}BcmpH; cmp(B,H); {RES:=B-H;}
{.}BcmpL; cmp(B,L); {RES:=B-L;}
{.}BcmpmHL; cmp(B,mHL); {RES:=B-mem[HL];}
{.}Bcmp(VB); cmp(B,VB); {RES:=B-VB;}

{.}CcmpB; cmp(C,B); {RES:=C-B;}
{.}CcmpC; cmp(C,C); {RES:=C-C;}
{.}CcmpD; cmp(C,D); {RES:=C-D;}
{.}CcmpE; cmp(C,E); {RES:=C-E;}
{.}CcmpH; cmp(C,H); {RES:=C-H;}
{.}CcmpL; cmp(C,L); {RES:=C-L;}
{.}CcmpmHL; cmp(C,mHL); {RES:=C-mem[HL];}
{.}Ccmp(VB); cmp(C,VB); {RES:=C-VB;}

{.}DcmpB; cmp(D,B); {RES:=D-B;}
{.}DcmpC; cmp(D,C); {RES:=D-C;}
{.}DcmpD; cmp(D,D); {RES:=D-D;}
{.}DcmpE; cmp(D,E); {RES:=D-E;}
{.}DcmpH; cmp(D,H); {RES:=D-H;}
{.}DcmpL; cmp(D,L); {RES:=D-L;}
{.}DcmpmHL; cmp(D,mHL); {RES:=D-mem[HL];}
{.}Dcmp(VB); cmp(D,VB); {RES:=D-VB;}

{.}EcmpB; cmp(E,B); {RES:=E-B;}
{.}EcmpC; cmp(E,C); {RES:=E-C;}
{.}EcmpD; cmp(E,D); {RES:=E-D;}
{.}EcmpE; cmp(E,E); {RES:=E-E;}
{.}EcmpH; cmp(E,H); {RES:=E-H;}
{.}EcmpL; cmp(E,L); {RES:=E-L;}
{.}EcmpmHL; cmp(E,mHL); {RES:=E-mem[HL];}
{.}Ecmp(VB); cmp(E,VB); {RES:=E-VB;}

{.}HcmpB; cmp(H,B); {RES:=H-B;}
{.}HcmpC; cmp(H,C); {RES:=H-C;}
{.}HcmpD; cmp(H,D); {RES:=H-D;}
{.}HcmpE; cmp(H,E); {RES:=H-E;}
{.}HcmpH; cmp(H,H); {RES:=H-H;}
{.}HcmpL; cmp(H,L); {RES:=H-L;}
{.}HcmpmHL; cmp(H,mHL); {RES:=H-mem[HL];}
{.}Hcmp(VB); cmp(H,VB); {RES:=H-VB;}

{.}LcmpB; cmp(L,B); {RES:=L-B;}
{.}LcmpC; cmp(L,C); {RES:=L-C;}
{.}LcmpD; cmp(L,D); {RES:=L-D;}
{.}LcmpE; cmp(L,E); {RES:=L-E;}
{.}LcmpH; cmp(L,H); {RES:=L-H;}
{.}LcmpL; cmp(L,L); {RES:=L-L;}
{.}LcmpmHL; cmp(L,mHL); {RES:=L-mem[HL];}
{.}Lcmp(VB); cmp(L,VB); {RES:=L-VB;}

{.}mHLcmpB; cmp(mHL,B); {RES:=mHL-B;}
{.}mHLcmpC; cmp(mHL,C); {RES:=mHL-C;}
{.}mHLcmpD; cmp(mHL,D); {RES:=mHL-D;}
{.}mHLcmpE; cmp(mHL,E); {RES:=mHL-E;}
{.}mHLcmpH; cmp(mHL,H); {RES:=mHL-H;}
{.}mHLcmpL; cmp(mHL,L); {RES:=mHL-L;}
{.}mHLcmpmHL; cmp(mHL,mHL); {RES:=mHL-mem[HL];}
{.}mHLcmp(VB); cmp(mHL,VB); {RES:=mHL-VB;}

{.}VBcmpB(VB); cmp(VB,B); {RES:=VB-B;}
{.}VBcmpC(VB); cmp(VB,C); {RES:=VB-C;}
{.}VBcmpD(VB); cmp(VB,D); {RES:=VB-D;}
{.}VBcmpE(VB); cmp(VB,E); {RES:=VB-E;}
{.}VBcmpH(VB); cmp(VB,H); {RES:=VB-H;}
{.}VBcmpL(VB); cmp(VB,L); {RES:=VB-L;}
{.}VBcmpmHL(VB); cmp(VB,mHL); {RES:=VB-mem[HL];}
end;
end.




