program L18PM_MD04;
uses
  uMD03_Types, uMD04_exMD03, uMD04_Types, uMD04_Registers,
  uMD04_RegistersIF, uMD04_RegistersPLUS, uMD04_RegistersMINUS,
  uMD04_RegistersAND, uMD04_RegistersXOR, uMD04_RegistersOR,
  uMD04_uRegisterPairs, uMD04_BYTElv, uMD04_WORDlv,
  uMD04_Main,
  uGameDATA_MD04 in '_unitGame\uGameDATA_MD04.pas';


procedure VideoON; begin XOR_(A,A,A);OUT_($C2);end;
procedure VideoOFF; begin Ar($02); OUT_($C2);end;
procedure PushALL;begin PushBC;PushDE;PushHL;PushPSW;end;
procedure PopALL;begin PopPSW;PopHL;PopDE;PopBC; end;
procedure pDrawScreen_macro1(var G1:TLabelGLV;VB:Byte;var G2:TLabelGLV;var D:TLabelDataLV);
begin LabelG(G1);IfA(isNot,VB,G2);
PushBC;DEr(D);CALL(pDrawSPRITE8n8b);PopBC;
  GOTO_(gENDProcedure_pDrawScreen); end;

procedure pDrawScreen_macro2;
begin
pDrawScreen_macro1(gDrawScreen_temp,$F1,gDrawScreen_242,dSPRITE241);
pDrawScreen_macro1(gDrawScreen_242,$F2,gDrawScreen_243,dSPRITE242);
pDrawScreen_macro1(gDrawScreen_243,$F3,gDrawScreen_1,dSPRITE243);
pDrawScreen_macro1(gDrawScreen_1,$01,gDrawScreen_2,dSPRITE1);
pDrawScreen_macro1(gDrawScreen_2,$02,gDrawScreen_244,dSPRITE2);
pDrawScreen_macro1(gDrawScreen_244,$F4,gDrawScreen_else,dSPRITE244);end;


procedure pSetPoleAndDraw_macro2;
begin
IfA(is_,0,gSetPoleAndDraw_m0);
IfA(is_,240,gSetPoleAndDraw_m240);
IfA(is_,1,gSetPoleAndDraw_m1);
IfA(is_,241,gSetPoleAndDraw_m241);
IfA(is_,242,gSetPoleAndDraw_m242);
IfA(is_,243,gSetPoleAndDraw_m243);
IfA(is_,244,gSetPoleAndDraw_m244);
end;

procedure pSetPoleAndDraw_macro3(Var G1:TLabelGLV;VB:Byte);
begin
LabelG(G1);Dr(VB);CALL(pDrawScreen);GOTO_(ENDProcedure_pSetPoleAndDraw);
end;

procedure pCheckingCoordinates_macro1(var Bt1:TByteLV;var Bt2:TByteLV);
begin
R(B,Bt1);R(A,Bt2);IfA(is_,B,gCheckingCoordinates_else01);
end;

procedure pCheckingCoordinates_macro2;
begin
pCheckingCoordinates_macro1(bUserX,bRNDx30);
pCheckingCoordinates_macro1(bUserY,bRNDy30);
pCheckingCoordinates_macro1(bSnakeX,bRNDx30);
pCheckingCoordinates_macro1(bSnakeY,bRNDy30);
pCheckingCoordinates_macro1(bSBonusx,bRNDx30);
pCheckingCoordinates_macro1(bSBonusY,bRNDy30);
end;


procedure pForCase_macro2(var G1:TLabelGLV;var G2:TLabelGLV;var G3:TLabelGLV);
begin CALL(pGetCellfield);
{      GOTO_(G3);,       }
IfA(is_,241,G1);
IfA(is_,$F3,G1);
IfA(is_,$F4,G2);
IfA(is_,$00,G1);
GOTO_(G3);
end;


BEGIN
BeginProgram('L18PM_MD04');
//SetAddrBeginProgram($0000);
//SetReportMD00TXTinFile(true);
//SetReportMD01TXTinFile(true);
//SetReportMD02TXTinFile(TRUE);

NameLabel;{ }

BEGINProcedure_RAM2(pDrawSPRITE8n8b);{  88}
VideoON;
Br($08);

LabelG(gDrawSPRITE8n8b_Loop);
ArmDE;R(mHL,A);DEp1;HLp1;  ArmDE;R(mHL,A);DEp1;HLp1;

PushDE;
DEr($003E);HLpDE;
PopDE;
M(B,B,1);
GotoUnNot0(gDrawSPRITE8n8b_Loop);
VideoOFF;
ENDProcedure(pDrawSPRITE8n8b);


BEGINProcedure_RAM2(pDrawScreen8n8c);{  88 }
VideoON;
Er($08);
BCr($003F);

LabelG(gDrawScreen8n8c_Loop);
R(mHL,D);
HLp1;
R(mHL,D);
HLpBC;
M(E,E,1);
GotoUnNot0(gDrawScreen8n8c_Loop);
VideoOFF;
ENDProcedure(pDrawScreen8n8c);


BEGINProcedure(pRndY15);
R(A,bRNDY15);P(A,A,$18);

LabelG(gRndy15_m2);
IfA(less,$0F,gRndy15_m1);
M(A,A,$0F);
GOTO_(gRndy15_m2);

LabelG(gRndy15_m1);
R(bRNDY15,A);

ENDProcedure(pRndY15);



BEGINProcedure(pCalculateCellFeld);{       }
PushDE;
HLr(abWorkField{  });
R(A,B);IfA(is_,$00,gCalculateCellFeld_m3);
R(DE,B);{DE:=B}
HLpDE;

LabelG(gCalculateCellFeld_m3);
If_(C,is_,$00,gCalculateCellFeld_m2);
PushHL;
HLr(awCalculateCellFeld_TABL);
P(A,A,C);
R(DE,A);{DE:=A}
HLpDE;
R(E,mHL);
HLp1;
R(D,mHL);
PopHL;
HLpDE;

LabelG(gCalculateCellFeld_m2);
PopDE;
ENDProcedure(pCalculateCellFeld);


BEGINProcedure(pSetCellfield);{    }
PushPSW;
CALL(pCalculateCellFeld);
PopPSW;
R(mHL,A);
ENDProcedure(pSetCellfield);


BEGINProcedure(pDrawScreen);
HLr($4000);
PushDE;
If_(B,is_,$00,gDrawScreen_m3);
P(A,B,B);
R(DE,A);{DE:=A}
HLpDE;

LabelG(gDrawScreen_m3);
If_(C,is_,$00,gDrawScreen_m2);
PushHL;
HLr(awDrawScreen_tabl);
P(A,C,C);
R(DE,A);{DE:=A}
HLpDE;
R(E,mHL);
HLp1;
R(D,mHL);
PopHL;
HLpDE;

LabelG(gDrawScreen_m2);
PopDE;R(A,D);

pDrawScreen_macro2;

{ELSE} LabelG(gDrawScreen_else);CALL(pDrawScreen8n8c);

LabelG(gENDProcedure_pDrawScreen);
ENDProcedure(pDrawScreen);



BEGINProcedure(pSetPoleAndDraw);{       (RgB=x,Rgc=y,SetRgA=s)}
PushBC;
CALL(pSetCellfield);
PopBC;
pSetPoleAndDraw_macro2;
If_(A,moreOrIs,$02,gSetPoleAndDraw_m2);
GOTO_(ENDProcedure_pSetPoleAndDraw);

pSetPoleAndDraw_macro3(gSetPoleAndDraw_m0,$00);
pSetPoleAndDraw_macro3(gSetPoleAndDraw_m240,$F0);
pSetPoleAndDraw_macro3(gSetPoleAndDraw_m1,$01);

LabelG(gSetPoleAndDraw_m241);Dr($F1);CALL(pDrawScreen);Ar($00);CALL(pSetCellfield);
GOTO_(ENDProcedure_pSetPoleAndDraw);

pSetPoleAndDraw_macro3(gSetPoleAndDraw_m242,$F2);
pSetPoleAndDraw_macro3(gSetPoleAndDraw_m243,$F3);
pSetPoleAndDraw_macro3(gSetPoleAndDraw_m244,$F4);

LabelG(gSetPoleAndDraw_m2);
If_(A,less,$EB,ENDProcedure_pSetPoleAndDraw);
Dr($02);CALL(pDrawScreen);GOTO_(ENDProcedure_pSetPoleAndDraw);

LabelG(ENDProcedure_pSetPoleAndDraw);
ENDProcedure(pSetPoleAndDraw);


BEGINProcedure(pReadCurByteLevels);{     }
HLr(wPOSreadCurByteLevels);R(A,mHL);
R(bRESreadCurByteLevels {  p_readurByteLevels},A);
HLp1;R(wPOSreadCurByteLevels,HL);
ENDProcedure(pReadCurByteLevels);


BEGINProcedure(pSetPoleAndDraw_cut1);
R(bDrawLevelPosX1,A);R(B,A);R(C,bDrawLevelPosY1);Ar($00);
PushBC;PushPSW;CALL(pSetPoleAndDraw);PopPSW;PopBC;
ENDProcedure(pSetPoleAndDraw_cut1);


BEGINProcedure(pSetPoleAndDraw_cut2);

R(bDrawLevelPosY1,A);R(C,A);R(B,bDrawLevelPosX1);Ar($00);
PushBC;PushPSW;CALL(pSetPoleAndDraw);PopPSW;PopBC;

PushBC;PushPSW;CALL(pSetCellfield);PopPSW;PopBC;
CALL(pDrawScreen);
ENDProcedure(pSetPoleAndDraw_cut2);


BEGINProcedure(pRndY30);
R(A,bRNDy30);
P(A,A,$25);

LabelG(gRndy30_m2);
If_(A,less,$1E,gRndy30_m1);
M(A,A,$1E);
GOTO_(gRndy30_m2);

LabelG(gRndy30_m1);
R(bRNDy30,A);
ENDProcedure(pRndY30);


BEGINProcedure(pGetCellfield);{   , Rgb- X  0-32 Rg- Y  0-32  rgA - }
CALL(pCalculateCellFeld);
R(A,mHL);
ENDProcedure(pGetCellfield);



BEGINProcedure(pUserMovePosPaint);{   }
R(B,bUserXNew);R(A,bUserX);If_(A,isNot,B,gUserMovePosPaint_m1);
R(B,bUserYNew);R(A,bUserY);If_(A,is_,B,ENDProcedure_pUserMovePosPaint);

LabelG(gUserMovePosPaint_m1);
R(bfFirstStart{  },1);{bfFirstStart:=1}
BCr(bUserXNew,bUserYNew);Ar($F1);CALL(pSetPoleAndDraw);
BCr(bUserX,bUserY);Ar($00);CALL(pSetPoleAndDraw);
R(bUserX,bUserXNew);R(bUserY,bUserYNew);

LabelG(ENDProcedure_pUserMovePosPaint);
ENDProcedure(pUserMovePosPaint);

BEGINProcedure(pCountBonusPaint);{       }
R(A,bCountBonus);
If_(A,less,$14,gCountBonusPaint_m3);
Ar($14);
LabelG(gCountBonusPaint_m3);
R(B,A);

LabelG(gCountBonusPaint_m1);
If_(A,is_,$00,gCountBonusPaint_m2);
PushBC;PushPSW;
Br($0B);
P(A,A,B);
R(B,A);
Cr($1F);
Ar($F2);
CALL(pSetPoleAndDraw);
PopPSW;PopBC;
m(A,A,1);
GOTO_(gCountBonusPaint_m1);

LabelG(gCountBonusPaint_m2);
R(A,B);Ap1;Br($14);

LabelG(gCountBonusPaint_m4);
If_(A,moreOrIs,B,gCountBonusPaint_m5);
PushBC;PushPSW;
Br($0B);P(A,A,B);R(B,A);Cr($1F);Ar($F0);
CALL(pSetPoleAndDraw);
PopPSW;PopBC;
Ap1;
GOTO_(gCountBonusPaint_m4);

LabelG(gCountBonusPaint_m5);
R(A,bCountBonus);
If_(A,less,$14,gENDProcedure_pCountBonusPaint);
R(bConditionOfPlay,$6E);

LabelG(gENDProcedure_pCountBonusPaint);
ENDProcedure(pCountBonusPaint);


BEGINProcedure(pGradualDeEmphasDelay);
HLr(wDelay);
//R(A,H); If_(A,isNot,$00,pGradualDeEmphasDelay_m1);
//R(A,L); If_(A,isNot,$00,pGradualDeEmphasDelay_m1);
IF_(HL,isNot,0,pGradualDeEmphasDelay_m1);{IF HL <> 0 then pGradualDeEmphasDelay_m1}
GOTO_(gENDProcedure_pGradualDeEmphasDelay);

LabelG(pGradualDeEmphasDelay_m1);
HLm1;
R(wDelay,HL);
HLr(wVDelay);
R(A,H);If_(A,isNot,$00,pGradualDeEmphasDelay_m2);
R(A,L);If_(A,isNot,$00,pGradualDeEmphasDelay_m2);
GOTO_(gENDProcedure_pGradualDeEmphasDelay);

LabelG(pGradualDeEmphasDelay_m2);
HLm1;R(wVDelay,HL);

LabelG(gENDProcedure_pGradualDeEmphasDelay);
ENDProcedure(pGradualDeEmphasDelay);


BEGINProcedure(pSBonusDel);
CALL(pRndY30);
HLr(bLevel);
HLpHL;HLpHL;HLpHL;
BCr(bRNDy30);
HLpBC;
BCr(500);
HLpBC;
R(wSBonusWaitTimer,HL);
BCr(bSBonusx,bSBonusY);

CALL(pGetCellfield);
If_(A,isNot,$F3,gSBonusDel_m1);
BCr(bSBonusx,bSBonusY);Ar($00);CALL(pSetPoleAndDraw);

LabelG(gSBonusDel_m1);
If_(A,isNot,$00,gSBonusDel_m2);
R(B,bUserX);R(A,bSBonusx);If_(A,is_,B,gSBonusDel_m2);
R(B,bUserY);R(A,bSBonusY);If_(A,is_,B,gSBonusDel_m2);
BCr(bSBonusX,bSBonusY);Ar($00);CALL(pSetPoleAndDraw);

LabelG(gSBonusDel_m2);
R(bSBonusx,0);
ENDProcedure(pSBonusDel);


BEGINProcedure(pRNDx15);
R(A,bRNDx15);P(A,A,$17);

LabelG(gRNDx15_m2);
If_(A,less,$0F,gRNDx15_m1);
M(A,A,$0F);
GOTO_(gRNDx15_m2);

LabelG(gRNDx15_m1);
R(bRNDx15,A);
ENDProcedure(pRNDx15);


BEGINProcedure(pProtect_Del);
R(A,bProtectX);Br($00);If_(A,is_,B,gProtect_Del_m01);
BCr(bProtectX,bProtectY);Ar($00);CALL(pSetPoleAndDraw);
R(bProtectX,0);

LabelG(gProtect_Del_m01);
CALL(pGradualDeEmphasDelay);
ENDProcedure(pProtect_Del);


BEGINProcedure(pCheckingCoordinates);{       }
R(bCheckingCoordinates,0);
CALL(pRndX30);CALL(pRndY30);
BCr(bRNDx30,bRNDy30);CALL(pGetCellfield);
If_(A,isNot,$00,gCheckingCoordinates_else01);

pCheckingCoordinates_macro2;

R(bCheckingCoordinates,1);
GOTO_(gENDProcedure_pCheckingCoordinates);

LabelG(gCheckingCoordinates_else01);
R(bCheckingCoordinates,0);

LabelG(gENDProcedure_pCheckingCoordinates);
ENDProcedure(pCheckingCoordinates);


BEGINProcedure(pSBonusCreate);
R(bSBonusx,bRNDx30);R(bSBonusY,bRNDy30);
BCr(bSBonusx,bSBonusY);Ar($F3);CALL(pSetPoleAndDraw);

CALL(pRndY30);BCr(bLevel,bRNDy30);
Ar(150);
M(A,A,B);
M(A,A,C);
R(wBonusWaitDone,A);
R(bSBonusCreate_ASBonusSp,1);
R(bSBonusCreate_AsBonusDLSp,10);
ENDProcedure(pSBonusCreate);


BEGINProcedure(pSBonusFash);
R(A,bSBonusCreate_AsBonusDLSp);
m(A,A,1);
R(bSBonusCreate_AsBonusDLSp,A);
R(A,bSBonusCreate_AsBonusDLSp);If_(A,isNot,$00,gSBonusFash_else01);
R(bSBonusCreate_AsBonusDLSp,5);
R(A,bSBonusCreate_ASBonusSp);If_(A,isNot,$00,gSBonusFash_else02);
R(bSBonusCreate_ASBonusSp,1);
GOTO_(gSBonusFash_else01);

LabelG(gSBonusFash_else02);
R(bSBonusCreate_ASBonusSp,0);

LabelG(gSBonusFash_else01);
R(A,bSBonusCreate_ASBonusSp);If_(A,isNot,$00,gSBonusFash_else03);
BCr(bSBonusx,bSBonusY);Ar($00);CALL(pSetPoleAndDraw);
GOTO_(gENDProcedure_pSBonusFash);

LabelG(gSBonusFash_else03);
BCr(bSBonusx,bSBonusY);Ar($F3);CALL(pSetPoleAndDraw);

LabelG(gENDProcedure_pSBonusFash);
ENDProcedure(pSBonusFash);


BEGINProcedure(pCountUserPaint);{     ()}
R(A,bLife);
If_(A,less,$0A,gCountUserPaint_m1);
Ar($0A);

LabelG(gCountUserPaint_m1);
R(C,A);If_(A,is_,$00,gCountUserPaint_m2);
R(B,A);Ar($00);

LabelG(gCountUserPaint_Repeat01);
PushBC;PushPSW;
R(B,A);Cr($1F);Ar($F1);CALL(pSetPoleAndDraw);
PopPSW;PopBC;
Ap1;If_(A,less,B,gCountUserPaint_Repeat01);

LabelG(gCountUserPaint_m2);
R(A,C);Br($0B);

LabelG(gCountUserPaint_Repeat02);
PushBC;PushPSW;
R(B,A);Cr($1F);Ar($F0);CALL(pSetPoleAndDraw);
PopPSW;PopBC;
Ap1;If_(A,less,B,gCountUserPaint_Repeat02);
ENDProcedure(pCountUserPaint);

BEGINProcedure(pWindTimerOfGrowingSnake);{   }
CALL(pRndX30);
BCr(bLevel,bRNDx30);
Ar($96);
M(A,A,B);
M(A,A,C);
R(HL,A);

R(wSnakeTimerLength,HL);
ENDProcedure(pWindTimerOfGrowingSnake);


BEGINProcedure(pPresSnake1);
R(bSnakeCut,0);
BCr(abWorkField{  });
DEr($0000);

LabelG(gPresSnake1_M4);
ArmBC;
If_(A,less,$01,gPresSnake1_m2);
If_(A,less,$80,gPresSnake1_m1);
GOTO_(gPresSnake1_m2);

LabelG(gPresSnake1_m1);
PushALL;
R(bPresSnake1wremX,D);
R(bPresSnake1wremY,E);


R(A,bSnakeX);
M(A,A,D);
GotoUnNot0(gPresSnake1_m6);
R(A,bSnakeY);
M(A,A,E);
GotoUn0(gPresSnake1_m5);

LabelG(gPresSnake1_m6);
PopALL;
Ap1;
mBCrA;
PushALL;
If_(A,isNot,$02,gPresSnake1_m9);
BCr(bPresSnake1wremX,bPresSnake1wremY);Ar($02);CALL(pSetPoleAndDraw);

LabelG(gPresSnake1_m9);
R(D,A); R(A,bSnakeCurLength);
If_(A,moreOrIs,D,gPresSnake1_m5);
R(A,bSnakeMixCut);If_(A,moreOrIs,D,gPresSnake1_m13);
R(D,A); R(bSnakeMixCut,A);

LabelG(gPresSnake1_m13);
BCr(bPresSnake1wremX,bPresSnake1wremY);Ar($00);CALL(pSetPoleAndDraw);
R(bSnakeCut,1);

LabelG(gPresSnake1_m5);
PopALL;

LabelG(gPresSnake1_m2);
BCp1;
P(D,D,1);
R(A,D);
If_(A,less,$20,gPresSnake1_M4);
Dr($00);P(E,E,1);R(A,E);
If_(A,less,$20,gPresSnake1_M4);
ENDProcedure(pPresSnake1);


BEGINProcedure(pSnakeCreateIllusoryPurpose2);
R(A,bIllusoryPurposeWaitTimer);If_(A,is_,$00,gSnakeCreateIllusoryPurpose2_M1);
R(A,bIllusoryPurposeWaitTimer);
m(A,A,1);
R(bIllusoryPurposeWaitTimer,A);
GOTO_(gSnakeCreateIllusoryPurpose2_end);

LabelG(gSnakeCreateIllusoryPurpose2_M1);
CALL(pRndX30);CALL(pRndY30);
R(bSnakepurposeX,bRNDx30);
R(bSnakepurposeY,bRNDy30);
R(bIllusoryPurposeWaitTimer,$32);

LabelG(gSnakeCreateIllusoryPurpose2_end);
ENDProcedure(pSnakeCreateIllusoryPurpose2);


BEGINProcedure(pSnakeCreateIllusoryPurpose1);
R(A,bIllusoryPurposeWaitTimer);If_(A,is_,$00,gSnakeCreateIllusoryPurpose1_M1);
R(A,bIllusoryPurposeWaitTimer);
m(A,A,1);
R(bIllusoryPurposeWaitTimer,A);
GOTO_(gSnakeCreateIllusoryPurpose1_end);

LabelG(gSnakeCreateIllusoryPurpose1_M1);
CALL(pRNDx15);CALL(pRndY15);
R(A,bRNDx15);
Br($0F);
P(A,A,B);
R(bSnakepurposeX,A);
R(A,bRNDY15);
Br($0F);
P(A,A,B);
R(bSnakepurposeY,A);
R(bIllusoryPurposeWaitTimer,10);

LabelG(gSnakeCreateIllusoryPurpose1_end);
ENDProcedure(pSnakeCreateIllusoryPurpose1);


BEGINProcedure(pRndX30);
R(A,bRNDx30);
P(A,A,$26);

LabelG(gRNDx30_m2);
If_(A,less,$1E,gRNDx30_m1);
M(A,A,$1E);
GOTO_(gRNDx30_m2);

LabelG(gRNDx30_m1);
R(bRNDx30,A);
ENDProcedure(pRndX30);


BEGINProcedure(pRND4);
R(A,bRND4c);Ap1;R(bRND4c,A);
If_(A,less,$60,gRND4_m1);
R(bRND4c,0);{bRND4c:=0}

LabelG(gRND4_m1);
R(BC,A);{BC:=A}
HLr(abRND4_mtable);
HLpBC;
R(A,mHL);
R(bRND4,A);{bRND4:=A}
ENDProcedure(pRND4);





BEGINProcedure(pForCase0);{ 쳿 (  PresSnake)}
R(A,bSnakeX);
m(A,A,1);
R(B,A);R(C,bSnakeY);
pForCase_macro2(gForCase0_c00_then01,gForCase0_c00_c00_then01_2,gENDProcedure_pForCase0);

LabelG(gForCase0_c00_then01);
R(A,bSnakeX);
m(A,A,1);
R(bSnakeXnew,A);
GOTO_(gENDProcedure_pForCase0);

LabelG(gForCase0_c00_c00_then01_2);
R(bSnakeFromProtect,1);

LabelG(gENDProcedure_pForCase0); ENDProcedure(pForCase0);


BEGINProcedure(pForCase1);{ 쳿 (  PresSnake)}
R(A,bSnakeX);Ap1;R(B,A);R(C,bSnakeY);
pForCase_macro2(gForCase1_c01_then01,gForCase1_c01_then01_2,gENDProcedure_pForCase1);

LabelG(gForCase1_c01_then01);R(A,bSnakeX);Ap1;
R(bSnakeXnew,A);GOTO_(gENDProcedure_pForCase1);

LabelG(gForCase1_c01_then01_2);
R(bSnakeFromProtect,1);

LabelG(gENDProcedure_pForCase1);
ENDProcedure(pForCase1);



BEGINProcedure(pForCase2);{ 쳿 (  PresSnake)}
R(B,bSnakeX);R(A,bSnakeY);Ap1;R(C,A);
pForCase_macro2(gForCase2_c02_then01,gForCase2_c02_then01_2,gENDProcedure_pForCase2);


LabelG(gForCase2_c02_then01);
R(A,bSnakeY);Ap1;
R(bSnakeYnew,A);
GOTO_(gENDProcedure_pForCase2);

LabelG(gForCase2_c02_then01_2);
R(bSnakeFromProtect,1);

LabelG(gENDProcedure_pForCase2);
ENDProcedure(pForCase2);



BEGINProcedure(pForCase3);{ 쳿 (  PresSnake)}
R(B,bSnakeX);R(A,bSnakeY);
m(A,A,1);
R(C,A);
pForCase_macro2(gForCase3_c03_then01,gForCase3_c03_then01_2,gENDProcedure_pForCase3);


LabelG(gForCase3_c03_then01);R(A,bSnakeY);
m(A,A,1);
R(bSnakeYnew,A);GOTO_(gENDProcedure_pForCase3);

LabelG(gForCase3_c03_then01_2);
R(bSnakeFromProtect,1);

LabelG(gENDProcedure_pForCase3);
ENDProcedure(pForCase3);


BEGINProcedure(pPresSnake_part1);{ 쳿}
R(bSnakeXnew,bSnakeX{X-.});
R(bSnakeYnew,bSnakeY{Y-.});
R(bSnakeFromProtect,0);
R(A,bfFirstStart);If_(A,isNot,$00,gPresSnake_part1_else01);
R(bSnakepurposeXFrom,2);
R(A,bConditionOfPlay);If_(A,isNot,$04,gPresSnake_part1_else02);
CALL(pSnakeCreateIllusoryPurpose2);
GOTO_(gENDProcedure_pPresSnake_part1);

LabelG(gPresSnake_part1_else02);
CALL(pSnakeCreateIllusoryPurpose1);
GOTO_(gENDProcedure_pPresSnake_part1);

LabelG(gPresSnake_part1_else01);
R(A,bSBonusx);If_(A,isNot,$00,gPresSnake_part1_else03);
R(bSnakepurposeXFrom,0);
R(bSnakepurposeX,bUserX);
R(bSnakepurposeY,bUserY);
GOTO_(gENDProcedure_pPresSnake_part1);

LabelG(gPresSnake_part1_else03);
R(bSnakepurposeXFrom,1);
R(bSnakepurposeX,bSBonusx);
R(bSnakepurposeY,bSBonusY);

LabelG(gENDProcedure_pPresSnake_part1);
ENDProcedure(pPresSnake_part1);


BEGINProcedure(pPresSnake_part2);{ 쳿}
R(bSF,0);

LabelG(gPresSnake_part2_Repeat01);
CALL(pRND4);
R(A,bRND4);If_(A,isNot,$00,gPresSnake_part2_Case01_1);
R(A,bSF);
OR_(A,A,$01);
R(bSF,A);
R(B,bSnakepurposeX);R(A,bSnakeX);
If_(A,lessOrIs,B,gPresSnake_part2_Case01_3End);
CALL(pForCase0);

GOTO_(gPresSnake_part2_Case01_3End);

LabelG(gPresSnake_part2_Case01_1);
If_(A,isNot,$01,gPresSnake_part2_Case01_2);
R(A,bSF);
OR_(A,A,$02);
R(bSF,A);
R(B,bSnakepurposeX);R(A,bSnakeX);If_(A,moreOrIs,B,gPresSnake_part2_Case01_3End);
CALL(pForCase1);


GOTO_(gPresSnake_part2_Case01_3End);

LabelG(gPresSnake_part2_Case01_2);
If_(A,isNot,$02,gPresSnake_part2_Case01_3);
R(A,bSF);
OR_(A,A,$04);
R(bSF,A);
R(B,bSnakepurposeY);R(A,bSnakeY);If_(A,moreOrIs,B,gPresSnake_part2_Case01_3End);
CALL(pForCase2);

GOTO_(gPresSnake_part2_Case01_3End);

LabelG(gPresSnake_part2_Case01_3);
If_(A,isNot,$03,gPresSnake_part2_Case01_3End);

R(A,bSF);
OR_(A,A,$08);
R(bSF,A);
R(B,bSnakepurposeY);R(A,bSnakeY);
If_(A,lessOrIs,B,gPresSnake_part2_Case01_3End);
CALL(pForCase3);

LabelG(gPresSnake_part2_Case01_3End);
R(A,bSF);Br($0F);If_(A,is_,B,gENDProcedure_pPresSnake_part2);
R(B,bSnakeX);R(A,bSnakeXnew);If_(A,isNot,B,gENDProcedure_pPresSnake_part2);
R(B,bSnakeY);R(A,bSnakeYnew);If_(A,isNot,B,gENDProcedure_pPresSnake_part2);
GOTO_(gPresSnake_part2_Repeat01);

LabelG(gENDProcedure_pPresSnake_part2);
ENDProcedure(pPresSnake_part2);



BEGINProcedure(pPresSnake_part3);{ 쳿}

R(A,bSnakeX);R(B,A);R(A,bSnakeXnew);If_(A,isNot,B,gPresSnake_end01);
R(A,bSnakeY);R(B,A);R(A,bSnakeYnew);If_(A,isNot,B,gPresSnake_end01);
R(bSF,0);

LabelG(gPresSnake_repeat01);
CALL(pRND4);
R(A,bRND4);If_(A,isNot,$00,gPresSnake_Case01_1);

R(A,bSF);
OR_(A,A,$01);
R(bSF,A);
CALL(pForCase0);
GOTO_(gPresSnake_part2_Case01End);

LabelG(gPresSnake_Case01_1);
If_(A,isNot,$01,gPresSnake_Case01_2);
R(A,bSF);
OR_(A,A,$02);
R(bSF,A);
CALL(pForCase1);
GOTO_(gPresSnake_part2_Case01End);

LabelG(gPresSnake_Case01_2);
If_(A,isNot,$02,gPresSnake_Case01_3);
R(A,bSF);
OR_(A,A,$04);
R(bSF,A);
CALL(pForCase2);
GOTO_(gPresSnake_part2_Case01End);

LabelG(gPresSnake_Case01_3);
If_(A,isNot,$03,gPresSnake_part2_Case01End);
R(A,bSF);
OR_(A,A,$08);
R(bSF,A);
CALL(pForCase3);
GOTO_(gPresSnake_part2_Case01End);

LabelG(gPresSnake_part2_Case01End);
R(A,bSF);Br($0F);If_(A,is_,B,gPresSnake_end01);
R(B,bSnakeX);R(A,bSnakeXnew);If_(A,isNot,B,gPresSnake_end01);
R(B,bSnakeY);R(A,bSnakeYnew);If_(A,isNot,B,gPresSnake_end01);
GOTO_(gPresSnake_repeat01);

LabelG(gPresSnake_end01);
ENDProcedure(pPresSnake_part3);


BEGINProcedure(pIncreaseSnake);{ 쳿,   ProcesPressedSnake}
R(A,bSnakeX);R(B,A);R(A,bSnakeXnew);If_(A,isNot,B,gIncreaseSnake_then01);
R(A,bSnakeY);R(B,A);R(A,bSnakeYnew);If_(A,isNot,B,gIncreaseSnake_then01);
R(bSnakeDeadend,1);
GOTO_(gIncreaseSnake_end01);

LabelG(gIncreaseSnake_then01);
BCr(bSnakeXnew,bSnakeYnew);Ar($01);CALL(pSetPoleAndDraw);
R(bSnakeX{X-.},bSnakeXnew);
R(bSnakeY{Y-.},bSnakeYnew);
R(A,bfFirstStart);Br($00);If_(A,is_,B,gIncreaseSnake_end02);

HLr(wSnakeTimerLength);HLm1;R(wSnakeTimerLength,HL);
Ar(wSnakeTimerLength);If_(A,isNot,$00,gIncreaseSnake_end02);
CALL(pWindTimerOfGrowingSnake);
R(A,bSnakeCurMaxLength);Br($77);If_(A,moreOrIs,B,gIncreaseSnake_else04);
R(A,bSnakeCurMaxLength);Ap1;R(bSnakeCurMaxLength,A);
CALL(pGradualDeEmphasDelay);
GOTO_(gIncreaseSnake_end02);

LabelG(gIncreaseSnake_else04);
R(bSnakeCurMaxLength{. },119);

LabelG(gIncreaseSnake_end02);
R(bSnakeDeadend,0);


LabelG(gIncreaseSnake_end01);
CALL(pPresSnake1);
R(A,bSnakeFromProtect);If_(A,isNot,$00,gIncreaseSnake_end05);
R(A,bSnakeDeadend);Br($00);If_(A,is_,B,gIncreaseSnake_end05);
R(A,bSnakeCut);If_(A,isNot,$00,gIncreaseSnake_end05);
R(A,bSnakeCurLength);
m(A,A,1);
R(bSnakeCurLength,A);

LabelG(gIncreaseSnake_end05);
R(A,bSnakeDeadend);If_(A,isNot,$00,gENDProcedure_pIncreaseSnake);
R(A,bSnakeCut);Br($00);If_(A,is_,B,gENDProcedure_pIncreaseSnake);
R(A,bSnakeCurLength);R(B,A);R(A,bSnakeCurMaxLength);
If_(A,lessOrIs,B,gENDProcedure_pIncreaseSnake);
R(A,bSnakeCurLength);Ap1;R(bSnakeCurLength,A);

LabelG(gENDProcedure_pIncreaseSnake);
ENDProcedure(pIncreaseSnake);


BEGINProcedure(pDelay);
HLr(wVDelay);

LabelG(gDelay_m1);
R(A,H);If_(A,isNot,$00,gDelay_m2);
R(A,L);If_(A,isNot,$00,gDelay_m2);
GOTO_(gENDProcedure_pDelay);

LabelG(gDelay_m2);
HLm1;
GOTO_(gDelay_m1);

LabelG(gENDProcedure_pDelay);
ENDProcedure(pDelay);


BEGINProcedure(pGreenFullScreen);{   ()}
Cr($00);LabelG(gGreenFullScreen_m2);
Br($00);LabelG(gGreenFullScreen_m1);
PushBC;Ar($F0);CALL(pSetPoleAndDraw);PopBC;
P(B,B,1);If_(B,isNot,$20,gGreenFullScreen_m1);
P(C,C,1);If_(C,isNot,$20,gGreenFullScreen_m2);
ENDProcedure(pGreenFullScreen);


BEGINProcedure(pDrawLevel);
Br($01);Cr($01);Ar($00);CALL(pSetPoleAndDraw);
R(bDrawLevelPosX1,1);R(bDrawLevelPosY1,1);
CALL(pReadCurByteLevels);

R(A,bRESreadCurByteLevels);R(bDrawLevel_D,A);
R(A,bDrawLevel_D);If_(A,isNot,$00,gDrawLevel_Repeat1);

CALL(pReadCurByteLevels);
R(A,bRESreadCurByteLevels);R(bDrawLevel_D,A);
If_(A,isNot,$00,gDrawLevel_Repeat1);
HLr(abLevels);R(wPOSreadCurByteLevels,HL);
CALL(pReadCurByteLevels);
R(A,bRESreadCurByteLevels);R(bDrawLevel_D,A);
CALL(pReadCurByteLevels);
R(A,bRESreadCurByteLevels);R(bDrawLevel_D,A);

LabelG(gDrawLevel_Repeat1);
CALL(pReadCurByteLevels);
R(A,bRESreadCurByteLevels);
R(bDrawLevel_D,A);If_(A,is_,$00,gDrawLevel_end);
M(A,A,$28);
If_(A,moreOrIs,$28,gDrawLevel_m81120);
R(A,bDrawLevel_D);
M(A,A,$28);
R(B,A);

LabelG(gDrawLevel_m4180m1);
PushBC;
R(A,bDrawLevelPosX1);
Ap1;
CALL(pSetPoleAndDraw_cut1);
PushBC;PushDE;
CALL(pSetCellfield);
PopDE; PopBC;
CALL(pDrawScreen);
PopBC;
M(B,B,1);
GotoUnNot0(gDrawLevel_m4180m1);
GOTO_(gDrawLevel_until);

LabelG(gDrawLevel_m81120);
M(A,A,$28);
If_(A,moreOrIs,$28,gDrawLevel_m121160);
R(A,bDrawLevel_D);
M(A,A,$50);
R(B,A);

LabelG(gDrawLevel_m81120m1);
PushBC;
R(A,bDrawLevelPosX1);
m(A,A,1);
CALL(pSetPoleAndDraw_cut1);
PushBC;PushPSW;
CALL(pSetCellfield);
PopPSW;PopBC;
CALL(pDrawScreen);
PopBC;
M(B,B,1);
GotoUnNot0(gDrawLevel_m81120m1);
GOTO_(gDrawLevel_until);

LabelG(gDrawLevel_m121160);
M(A,A,$28);
If_(A,moreOrIs,$28,gDrawLevel_m161200);
R(A,bDrawLevel_D);
M(A,A,$78);
R(B,A);

LabelG(gDrawLevel_m121160m1);
PushBC;
R(A,bDrawLevelPosY1);
m(A,A,1);
CALL(pSetPoleAndDraw_cut2);
PopBC;
M(B,B,1);
GotoUnNot0(gDrawLevel_m121160m1);
GOTO_(gDrawLevel_until);

LabelG(gDrawLevel_m161200);
M(A,A,$28);
If_(A,moreOrIs,$28,gDrawLevel_until);
R(A,bDrawLevel_D);
M(A,A,$A0);
R(B,A);

LabelG(gDrawLevel_m161200m1);
PushBC;
R(A,bDrawLevelPosY1);
Ap1;
CALL(pSetPoleAndDraw_cut2);
PopBC;
M(B,B,1);
GotoUnNot0(gDrawLevel_m161200m1);

LabelG(gDrawLevel_until);
R(A,bDrawLevel_D);
If_(A,isNot,$00,gDrawLevel_Repeat1);

LabelG(gDrawLevel_end);
ENDProcedure(pDrawLevel);


BEGINProcedure(pClearKeyboardArrows);{  ()}
R(bKeyleft,bKeyRight,bKeyUP,bKeyDown,bKeyProtect,bKeyT,bKey1,bKey2,0);
ENDProcedure(pClearKeyboardArrows);


BEGINProcedure(pRndS);
CALL(pRndX30);
CALL(pRndY30);
CALL(pRNDx15);
CALL(pRndY15);
ENDProcedure(pRndS);


BEGINProcedure(pBlackFullScreen);
Cr($00);

LabelG(gBlackFullScreen_m2);
Br($00);

LabelG(gBlackFullScreen_m1);
PushBC;
Ar($00);
CALL(pSetPoleAndDraw);
PopBC;
P(B,B,1);
R(A,B);
If_(A,isNot,$20,gBlackFullScreen_m1);
P(C,C,1);
R(A,C);
If_(A,isNot,$20,gBlackFullScreen_m2);
ENDProcedure(pBlackFullScreen);


BEGINProcedure(pEngineGames_InitGame);
R(wPOSreadCurByteLevels,0);
R(wCurAddrLevel,0);
R(bProtectPast,1);
R(wCountSpectacleses,0);
R(bCountPrizeLife{  },0);
R(bLife{- },4);
R(bLevel,1);
ENDProcedure(pEngineGames_InitGame);


BEGINProcedure(pEngineGames_InitLevel);
CALL(pSBonusDel);
R(bBonusX,bBonusY,0);
CALL(pProtect_Del);
R(bProtectX,bProtectY,0);
CALL(pGreenFullScreen);
R(bCountBonus,0);
R(wPOSreadCurByteLevels,wCurAddrLevel);
CALL(pDrawLevel);
CALL(pCountUserPaint);
CALL(pWindTimerOfGrowingSnake);
R(bSnakeCurMaxLength{. },bSnakeCurLength,2);
R(bSnakepurposeX,30);R(bSnakepurposeY,29);
R(bSnakeX{X-.},30);R(bSnakeY{Y-.},29);
BCr(bSnakeX,bSnakeY);Ar($01);CALL(pSetPoleAndDraw);
R(bfFirstStart{  },0);
CALL(pClearKeyboardArrows);
R(wVDelay,3000);
ENDProcedure(pEngineGames_InitLevel);


BEGINProcedure(pLogo1);
Br($05);

LabelG(gLogo1_m1);
PushBC;Cr($05);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;PushBC;Cr($19);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;P(B,B,1);R(A,B);If_(A,isNot,$1B,gLogo1_m1);
Cr($05);

LabelG(gLogo1_m2);
PushBC;Br($05);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;PushBC;Br($1A);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;P(C,C,1);R(A,C);If_(A,isNot,$19,gLogo1_m2);
Br($13);

LabelG(gLogo1_m3);
PushBC;Cr($03);Ar($F0);CALL(pSetPoleAndDraw);
PopBC;P(B,B,1);R(A,B);If_(A,isNot,$19,gLogo1_m3);
ENDProcedure(pLogo1);


BEGINProcedure(pLogo2);
Cr($06);

LabelG(gLogo2_m2);
Br($06);

LabelG(gLogo2_m1);
PushBC;Ar($00); CALL(pSetPoleAndDraw);
PopBC;
P(B,B,1);
R(A,B);
If_(A,isNot,$1A,gLogo2_m1);
P(C,C,1);
R(A,C);
If_(A,isNot,$19,gLogo2_m2);
ENDProcedure(pLogo2);


BEGINProcedure(pDrawBlockText);
Ar($FF);_rA($BE3D);Ar($05);_rA($BE3E);Ar($04);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D1C);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($05);_rA($BE3F);Ar($00);_rA($BE36);CALL($F82D);HLr(L9D32);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($06);_rA($BE3F);Ar($01);_rA($BE36);CALL($F82D);HLr(L9D4B);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($07);_rA($BE3F);Ar($02);_rA($BE36);CALL($F82D);HLr(L9D61);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($08);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D71);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($09);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D85);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($0B);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D94);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($0C);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9D71);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($0D);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9DA4);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($0F);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9DB5);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($10);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9DC5);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($11);_rA($BE3F);Ar($03);_rA($BE36);CALL($F82D);HLr(L9DDC);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($12);_rA($BE3F);Ar($00);_rA($BE36);CALL($F82D);HLr(L9D32);CALL($E4A4);
Ar($04);_rA($BE3E);Ar($13);_rA($BE3F);Ar($00);_rA($BE36);CALL($F82D);HLr(L9DF6);CALL($E4A4);
ENDProcedure(pDrawBlockText);

BEGINProcedure(pLogo3);
Br($04);

LabelG(gLogo3_m1);
PushBC;Cr($04);Ar($00);CALL(pSetPoleAndDraw);
PopBC;PushBC;Cr($1A);Ar($00);CALL(pSetPoleAndDraw);
PopBC;
P(B,B,1);
R(A,B);
If_(A,isNot,$1B,gLogo3_m1);
Cr($04);

LabelG(gLogo3_m2);
PushBC;
Br($04);
Ar($00);
CALL(pSetPoleAndDraw);
PopBC;
PushBC;
Br($1B);
Ar($00);
CALL(pSetPoleAndDraw);
PopBC;
P(C,C,1);
R(A,C);
If_(A,isNot,$1B,gLogo3_m2);
ENDProcedure(pLogo3);


BEGINProcedure(pLogo4);
Br($08);
Cr($03);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($09);
Cr($03);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($0E);
Cr($03);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($0F);
Cr($03);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($1C);
Cr($05);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($03);
Cr($0D);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($03);
Cr($0E);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($05);
Cr($1B);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($06);
Cr($1B);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($0E);
Cr($1A);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($1C);
Cr($0B);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($1C);
Cr($0C);
Ar($F0);
CALL(pSetPoleAndDraw);
Br($1C);
Cr($0D);
Ar($F0);
CALL(pSetPoleAndDraw);
ENDProcedure(pLogo4);


BEGINProcedure(pPause);
CALL(pRndS);
Ar($EF);OUT_($D0);IN_($D1);If_(A,isNot,$7F,gPause_m2);
R(A,bfPause);
Br($FF);
XOR_(A,A,B);
R(bfPause,A);

LabelG(gPause_m1);
Ar($EF);
OUT_($D0);
IN_($D1);
If_(A,is_,$7F,gPause_m1);

LabelG(gPause_m2);
ENDProcedure(pPause);


BEGINProcedure(pColor);
Ar($EF);
OUT_($D0);
IN_($D1);
If_(A,isNot,$BF,gColor_m2);
R(A,bGeneralColorPlay);
R(B,A);
Ar($04);
P(A,A,B);
R(bGeneralColorPlay,A);
OUT_($C1);

LabelG(gColor_m1);
Ar($EF);
OUT_($D0);
IN_($D1);
If_(A,is_,$BF,gColor_m1);

LabelG(gColor_m2);
ENDProcedure(pColor);


BEGINProcedure(pStartOrMenu);
Ar($EF);OUT_($D0);IN_($D1);If_(A,isNot,$DF,gStartOrMenu_m2);
R(A,bConditionOfPlay);Br($04);If_(A,is_,B,gStartOrMenu_m3);
R(bConditionOfPlay{ },0);
GOTO_(gStartOrMenu_m1);

LabelG(gStartOrMenu_m3);
R(bConditionOfPlay{ },$0F);

LabelG(gStartOrMenu_m1);
Ar($EF);
OUT_($D0);
IN_($D1);
If_(A,is_,$DF,gStartOrMenu_m1);

LabelG(gStartOrMenu_m2);
ENDProcedure(pStartOrMenu);


BEGINProcedure(pPresSnake);
CALL(pPresSnake_part1);
CALL(pPresSnake_part2);
CALL(pPresSnake_part3);
CALL(pIncreaseSnake);
R(B,bUserX);R(A,bSnakeX);If_(A,isNot,B,gPresSnake_end02);
R(B,bUserY);R(A,bSnakeY);If_(A,isNot,B,gPresSnake_end02);

BCr(65528);
CALL(pDelay);
R(bConditionOfPlay{ },100);


LabelG(gPresSnake_end02);
R(B,bSnakeX);R(A,bSnakepurposeX);If_(A,isNot,B,gENDProcedure_pPresSnake);
R(B,bSnakeY);R(A,bSnakepurposeY);If_(A,isNot,B,gENDProcedure_pPresSnake);
R(A,bSnakepurposeXFrom);If_(A,isNot,$01,gENDProcedure_pPresSnake);
CALL(pSBonusDel);
R(A,bCountBonus);Br($0B);If_(A,moreOrIs,B,gPresSnake_else03);
R(bCountBonus,0);
GOTO_(gPresSnake_end03);

LabelG(gPresSnake_else03);R(A,bCountBonus);
M(A,A,$A0);
R(bCountBonus,A);

LabelG(gPresSnake_end03);
HLr(wCountSpectacleses);
//R(A,H);If_(A,isNot,$00,gPresSnake_else04);
//R(A,L);If_(A,moreOrIs,$0B,gPresSnake_else04);
IF_(HL,moreOrIs,11,gPresSnake_else04);{IF HL > =11 then gPresSnake_else04;}
R(wCountSpectacleses,0);
GOTO_(gPresSnake_end04);

LabelG(gPresSnake_else04);
HLr(wCountSpectacleses);
HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;HLm1;
R(wCountSpectacleses,HL);

LabelG(gPresSnake_end04);
R(A,bCountPrizeLife);If_(A,moreOrIs,$0B,gPresSnake_M01);
R(bCountPrizeLife{  },0);
GOTO_(gPresSnake_M02);

LabelG(gPresSnake_M01);
R(A,bCountPrizeLife);
M(A,A,$A0);
R(bCountPrizeLife,A);

LabelG(gPresSnake_M02);
CALL(pCountBonusPaint);

LabelG(gENDProcedure_pPresSnake);
ENDProcedure(pPresSnake);


BEGINProcedure(pPresSBonus);{ -}
R(A,bfFirstStart);If_(A,is_,$00,gPresSBonus_end01);
R(A,bSBonusx);If_(A,isNot,$00,gPresSBonus_end02);
HLr(wSBonusWaitTimer);
//R(A,H);
//If_(A,isNot,$00,gPresSBonus_else02_1);
//R(A,L);If_(A,isNot,$00,gPresSBonus_else02_1);
IF_(HL,isNot,0,gPresSBonus_else02_1);{IF HL<>0 then gPresSBonus_else02_1}

GOTO_(gPresSBonus_else02);

LabelG(gPresSBonus_else02_1); HLr(wSBonusWaitTimer);HLm1;R(wSBonusWaitTimer,HL);GOTO_(gPresSBonus_end02);

LabelG(gPresSBonus_else02);
CALL(pCheckingCoordinates);
R(A,bCheckingCoordinates); If_(A,is_,$00,gPresSBonus_else01);
CALL(pSBonusCreate);
GOTO_(gPresSBonus_end02);

LabelG(gPresSBonus_else01);
R(bSBonusx,0);


LabelG(gPresSBonus_end02);
R(A,bSBonusx);Br($00);If_(A,is_,B,gPresSBonus_end01);
Ar($00);HLr(wBonusWaitDone); If_(A,isNot,H,gPresSBonus_else03);
If_(A,isNot,L,gPresSBonus_else03);CALL(pSBonusDel);
GOTO_(gPresSBonus_end01);

LabelG(gPresSBonus_else03);
HLr(wBonusWaitDone);HLm1;R(wBonusWaitDone,HL);
CALL(pSBonusFash);

LabelG(gPresSBonus_end01);
ENDProcedure(pPresSBonus);

BEGINProcedure(pKeyD);
R(bKeyDown,bKeyleft,bKeyUP,bKeyRight,0);{...:=0;}

Ar($F7);OUT_($D2);IN_($D2);Not_(A,A);
and_(A,A,$F0);
If_(A,less,$80,gKeyD_m1);
R(bKeyDown,A);
M(A,A,$80);

LabelG(gKeyD_m1);
If_(A,less,$40,gKeyD_m2);
R(bKeyleft,A);
M(A,A,$40);

LabelG(gKeyD_m2);
If_(A,less,$20,gKeyD_m3);
R(bKeyUP,A);
M(A,A,$20);

LabelG(gKeyD_m3);
If_(A,less,$10,gKeyD_m4);
R(bKeyRight,A);

LabelG(gKeyD_m4);
ENDProcedure(pKeyD);

BEGINProcedure(pPresKeys);
R(bUserXNew,bUserX);R(bUserYNew,bUserY);
R(bKeyT,$00);
R(A,bKeyleft);If_(A,is_,$00,gPresKeys_m2);
R(A,bUserXNew);
m(A,A,1);
R(B,A);
R(C,bUserYNew);CALL(pGetCellfield);
If_(A,is_,$00,gPresKeys_m1m1);
If_(A,is_,$F2,gPresKeys_m1m1);
If_(A,isNot,$F3,gPresKeys_mm2);

LabelG(gPresKeys_m1m1);
R(bKeyT,1);
GOTO_(gPresKeys_mm2);

LabelG(gPresKeys_m2);
R(A,bKeyRight);
If_(A,is_,$00,gPresKeys_m3);
R(A,bUserXNew);
Ap1;
R(B,A);
R(C,bUserYNew);
CALL(pGetCellfield);
If_(A,is_,$00,gPresKeys_m2m1);
If_(A,is_,$F2,gPresKeys_m2m1);
If_(A,isNot,$F3,gPresKeys_mm2);

LabelG(gPresKeys_m2m1);
R(bKeyT,2);
GOTO_(gPresKeys_mm2);

LabelG(gPresKeys_m3);
R(A,bKeyUP);
If_(A,is_,$00,gPresKeys_m4);
R(B,bUserXNew);
R(A,bUserYNew);
m(A,A,1);
R(C,A);
CALL(pGetCellfield);
If_(A,is_,$00,gPresKeys_m3m1);
If_(A,is_,$F2,gPresKeys_m3m1);
If_(A,isNot,$F3,gPresKeys_mm2);

LabelG(gPresKeys_m3m1);
R(bKeyT,3);
GOTO_(gPresKeys_mm2);

LabelG(gPresKeys_m4);
R(A,bKeyDown);
If_(A,is_,$00,gPresKeys_mm2);
R(B,bUserXNew);R(A,bUserYNew);
Ap1;
R(C,A);
CALL(pGetCellfield);
If_(A,is_,$00,gPresKeys_m4m1);
If_(A,is_,$F2,gPresKeys_m4m1);
If_(A,isNot,$F3,gPresKeys_mm2);

LabelG(gPresKeys_m4m1);
R(bKeyT,4);

LabelG(gPresKeys_mm2);
R(A,bKeyT);
If_(A,moreOrIs,$03,gPresKeys_mm21);
CALL(pRndX30);
GOTO_(gPresKeys_mm3);

LabelG(gPresKeys_mm21);
CALL(pRndY30);

LabelG(gPresKeys_mm3);
R(A,bKey1);
If_(A,isNot,$00,gPresKeys_mm31);
R(bKey1,bKeyT);
GOTO_(gPresKeys_mm32);

LabelG(gPresKeys_mm31);
R(bKey2,bKeyT);


LabelG(gPresKeys_mm32);
R(A,bKey2);If_(A,is_,$00,gPresKeys_mm4);
R(bKey1,bKey2);


LabelG(gPresKeys_mm4);
R(A,bKey1);
If_(A,is_,$01,gPresKeys_mm41);
If_(A,is_,$02,gPresKeys_mm42);
If_(A,is_,$03,gPresKeys_mm43);
If_(A,isNot,$04,gPresKeys_mm5);
R(A,bUserY);Ap1;R(bUserYNew,A);GOTO_(gPresKeys_mm5);

LabelG(gPresKeys_mm41);
R(A,bUserX);
m(A,A,1);
R(bUserXNew,A);
GOTO_(gPresKeys_mm5);

LabelG(gPresKeys_mm42);
R(A,bUserX);
Ap1;
R(bUserXNew,A);
GOTO_(gPresKeys_mm5);

LabelG(gPresKeys_mm43);
R(A,bUserY);
m(A,A,1);
R(bUserYNew,A);

LabelG(gPresKeys_mm5);
BCr(bUserXNew,bUserYNew);CALL(pGetCellfield);
R(bPresKeysFPole,A);
If_(A,isNot,$F2,gPresKeys_mm6);   CALL(pUserMovePosPaint);
R(A,bCountBonus);Ap1;R(bCountBonus,A);   CALL(pCountBonusPaint);
Ar(wCountSpectacleses);Ap1;R(wCountSpectacleses,A);
R(A,bCountPrizeLife);Ap1;R(bCountPrizeLife,A);
R(A,bSnakeCurMaxLength);Ap1;R(bSnakeCurMaxLength,A);   CALL(pGradualDeEmphasDelay);

LabelG(gPresKeys_mm6);
R(B,bUserX);
R(A,bSBonusx);If_(A,isNot,B,gPresKeys_mm7);
R(B,bUserY);R(A,bSBonusY);If_(A,isNot,B,gPresKeys_mm7);
R(A,bCountBonus);Br($0A);P(A,A,B);R(bCountBonus,A);   CALL(pCountBonusPaint);
Ar(wCountSpectacleses);Br($0A);P(A,A,B);R(wCountSpectacleses,A);
CALL(pSBonusDel);
CALL(pGradualDeEmphasDelay);

LabelG(gPresKeys_mm7);
R(A,bPresKeysFPole);If_(A,isNot,$F4,gPresKeys_mm8);
R(A,bProtectPast);If_(A,isNot,$00,gPresKeys_mm8);
R(bPresKeysFPole,0);

LabelG(gPresKeys_mm8);
R(A,bPresKeysFPole);
If_(A,is_,$00,gPresKeys_mm9);
If_(A,is_,$F2,gPresKeys_mm9);
If_(A,isNot,$F3,gPresKeys_mm10);

LabelG(gPresKeys_mm9);
CALL(pUserMovePosPaint);
GOTO_(ENDProcedure_pPresKeys);

LabelG(gPresKeys_mm10); R(bKey1,0);

LabelG(ENDProcedure_pPresKeys);
ENDProcedure(pPresKeys);


BEGINProcedure(pKeyO);
R(bKeyProtect,0);
OUT_($D0);IN_($D1);
XOR_(A,A,$FF);
R(bKeyProtect,A);
ENDProcedure(pKeyO);


BEGINProcedure(pPresProtect);
R(A,bProtectX);If_(A,isNot,$00,gPresProtect_else01);
R(A,bKeyProtect);If_(A,is_,$00,gENDProcedure_pPresProtect);
R(bProtectDl,10);R(bProtectX,bUserX);R(bProtectY,bUserY);


LabelG(gPresProtect_else01);
R(A,bUserX);R(B,A);R(A,bProtectX);If_(A,isNot,B,gPresProtect_then01);
R(A,bUserY);R(B,A);R(A,bProtectY);If_(A,isNot,B,gPresProtect_then01);
GOTO_(gENDProcedure_pPresProtect);

LabelG(gPresProtect_then01);
BCr(bProtectX,bProtectY);Ar($F4);CALL(pSetPoleAndDraw);
CALL(pGradualDeEmphasDelay);
R(A,bProtectDl);
m(A,A,1);
R(bProtectDl,A);
R(A,bProtectDl);If_(A,isNot,$00,gENDProcedure_pPresProtect);
CALL(pProtect_Del);

LabelG(gENDProcedure_pPresProtect);
ENDProcedure(pPresProtect);


BEGINProcedure(pPresBonus);{ }
R(A,bBonusX);R(B,A);R(A,bUserX);If_(A,isNot,B,gPresBonus_m01);
R(A,bBonusY);R(B,A);R(A,bUserY);If_(A,isNot,B,gPresBonus_m01);
R(bBonusX,0);R(bBonusY,0);


LabelG(gPresBonus_m01);
Ar_($0000);R(B,A);R(A,bBonusX);If_(A,isNot,B,gPresBonus_else02);
R(A,bfFirstStart);If_(A,is_,$00,gENDProcedure_pPresBonus);
CALL(pCheckingCoordinates);
R(A,bCheckingCoordinates);If_(A,is_,$00,gPresBonus_else01);
R(bBonusX,bRNDx30);R(bBonusY,bRNDy30);

R(A,bBonusX);R(B,A);R(A,bBonusY);
R(C,A);Ar($F2);CALL(pSetPoleAndDraw);GOTO_(gENDProcedure_pPresBonus);

LabelG(gPresBonus_else01);
R(bBonusX,bBonusY,0);

      GOTO_(gENDProcedure_pPresBonus);

LabelG(gPresBonus_else02);
BCr(bBonusX,bBonusY);Ar($F2);CALL(pSetPoleAndDraw);

LabelG(gENDProcedure_pPresBonus);
ENDProcedure(pPresBonus);


BEGINProcedure(pPresPrizeLife);
R(A,bCountPrizeLife);Br($64);
If_(A,less,B,gPresPrizeLife_m01);
R(A,bLife);Ap1;R(bLife,A);R(A,bCountPrizeLife);
M(A,A,$64);
R(bCountPrizeLife,A);
CALL(pCountUserPaint);
LabelG(gPresPrizeLife_m01);
ENDProcedure(pPresPrizeLife);


BEGINProcedure(STARTProc{ });
LabelG(gSTARTLABIRINT);
CALL(pBlackFullScreen);
R(bConditionOfPlay{ },0);


LabelG(gEngineGames_Case_);
R(A,bConditionOfPlay);
If_(A,is_,$00,gEngineGames_m0);
If_(A,is_,$03,gEngineGames_m3);
If_(A,is_,$04,gEngineGames_m4);
If_(A,is_,$0F,gEngineGames_m15);
If_(A,is_,$14,gEngineGames_m20);
If_(A,is_,$1E,gEngineGames_m30);
If_(A,is_,$64,gEngineGames_m100);
If_(A,is_,$6E,gEngineGames_m110);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m0);
R(wCurAddrLevel,0);
R(bConditionOfPlay{ },3);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m3);
CALL(pEngineGames_InitGame);
CALL(pEngineGames_InitLevel);
R(bUserX,bUserY,bLife{- },0);
R(bSnakeCurMaxLength{. },8);


CALL(pCountUserPaint);
CALL(pLogo1);CALL(pLogo2);CALL(pLogo3);CALL(pLogo4);CALL(pDrawBlockText);
R(bConditionOfPlay{ },4);

GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m4);
CALL(pPause);CALL(pColor);CALL(pStartOrMenu);
R(A,bfPause);If_(A,isNot,$00,gEngineGames_m4_end);
CALL(pPresSnake);CALL(pDelay);

LabelG(gEngineGames_m4_end);GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m15);
CALL(pEngineGames_InitGame);
R(bConditionOfPlay{ },$14);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m20);
CALL(pEngineGames_InitLevel);
R(bUserX,bUserY,1);
BCr(bUserX,bUserY);
Ar($F1);
CALL(pSetPoleAndDraw);
R(bSnakeCurMaxLength{. },4);
R(wDelay,wVDelay);
HLr(bLevel);
HLpHL;HLpHL;HLpHL;HLpHL;HLpHL;

LabelG(gEngineGames_M20_1);
PushHL;
CALL(pGradualDeEmphasDelay);
PopHL;
HLm1;
R(A,H);If_(A,isNot,$00,gEngineGames_M20_1);
R(A,L);If_(A,isNot,$00,gEngineGames_M20_1);
R(bConditionOfPlay{ },$1E);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m30);
CALL(pPause);CALL(pColor);CALL(pStartOrMenu);
R(A,bfPause);If_(A,isNot,$00,gEngineGames_m30_end);
CALL(pPresSBonus);CALL(pKeyD);CALL(pPresKeys);CALL(pKeyO);CALL(pPresProtect);
CALL(pPresSnake);CALL(pPresBonus);CALL(pCountBonusPaint);CALL(pCountUserPaint);
CALL(pPresPrizeLife);
R(A,bfFirstStart);If_(A,is_,$00,gEngineGames_m30_1);
CALL(pGradualDeEmphasDelay);

LabelG(gEngineGames_m30_1);
CALL(pDelay);

LabelG(gEngineGames_m30_end);GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m100);
R(A,bLife);If_(A,isNot,$00,gEngineGames_m100_2);
R(wVDelay,65535);
CALL(pDelay);
R(bConditionOfPlay{ },0);
GOTO_(gEngineGames_m100_3);

LabelG(gEngineGames_m100_2);
R(bConditionOfPlay{ },$14);


LabelG(gEngineGames_m100_3);
CALL(pCountUserPaint);
R(wVDelay,65535);CALL(pDelay);
R(A,bLife);
m(A,A,1);
R(bLife,A);
CALL(pProtect_Del);
GOTO_(gEngineGames_Case_);

LabelG(gEngineGames_m110);
R(bConditionOfPlay{ },$14);
R(A,bLevel);Ap1;R(bLevel,A);
R(wVDelay,65535);
CALL(pDelay);
R(wCurAddrLevel,wPOSreadCurByteLevels);
GOTO_(gEngineGames_Case_);

EndPROCEDURE(STARTProc{ });

{}{}{}{}{}{}{}{}{}{}

START(STARTProc{ });

CompileDATAgame;{  }
EndProgram;

END.

